set more off
clear all
cap log close

*global datafileDec "C:\trabajo\new_projects\Financial-literacy-eval 2014-2015\programs\diciembre\Database\"
global datafileMarch "C:\Users\Usuario\Dropbox\JHR\replication file\datafiles\"
global logfile  "C:\Users\Usuario\Dropbox\JHR\replication file\logfiles\"

log using "${logfile}\Figure W1testacademicom1_bytopic_graph.log", replace

/* ******************************* TESTS ***************************** */

use "${datafileMarch}Examen1-2.dta", replace

******************* SAMPLE SELECTION: MUESTRA 1: Took the test in March *****************

keep if Asistencia2==1|Asistencia2==2|Asistencia2==3
keep if Asistencia==1 
drop if nee!=""
drop if nee2!=""

*** NEW STRATA

*** New strata
drop if stratum_c14==1

gen 	publico=0
replace publico=1 if stratum_c1==1|stratum_c4==1|stratum_c7==1|stratum_c9==1|stratum_c11==1|stratum_c14==1|stratum_c16==1


******************* DEFINING TEST SCORES ************ 

** Normalizing notas pretest y postest
gen pretest=sum_correct/30

gen postest=sum_correct2/29 if TIPOCUES2=="A"
replace postest=sum_correct2/30 if TIPOCUES2=="B"

sum pretest
gen a=r(mean)
gen b=r(sd)

gen norm_pretest=(pretest-.5899)/b if pretest!=.
replace norm_pretest=0 if pretest==.

drop a b

sum postest
gen a=r(mean)
gen b=r(sd)
gen norm_postest=(postest-a)/b
drop a b

summ postest norm_postest pretest norm_pretest

gen 	norm_pretestmis=(pretest==.)
replace pretest=0 if norm_pretestmis==1
replace norm_pretest=0 if norm_pretestmis==1

*************************** TEST SCORES BY TOPIC **************************

** Pre-test
gen		pre_Test_Sav=sum_correct1_Budget/N1_BudgetA if tipocues=="A"
replace pre_Test_Sav=sum_correct1_Budget/N1_BudgetB if tipocues=="B"

gen		pre_Test_Money=sum_correct1_Money/N1_MoneyA if tipocues=="A"
replace pre_Test_Money=sum_correct1_Money/N1_MoneyB if tipocues=="B"

gen		pre_Test_Banks=sum_correct1_Banks/N1_BanksA if tipocues=="A"
replace pre_Test_Banks=sum_correct1_Banks/N1_BanksB if tipocues=="B"

gen		pre_Test_IntCo=sum_correct1_Money/N1_IntCoA if tipocues=="A"
replace pre_Test_IntCo=sum_correct1_Money/N1_IntCoB if tipocues=="B"

* Post-test
gen		post_Test_Sav=sum_correct2_Budget/N2_BudgetA if tipocues=="A"
replace post_Test_Sav=sum_correct2_Budget/N2_BudgetB if tipocues=="B"

gen		post_Test_Money=sum_correct2_Money/N2_MoneyA if tipocues=="A"
replace post_Test_Money=sum_correct2_Money/N2_MoneyB if tipocues=="B"

gen		post_Test_Banks=sum_correct2_Banks/N2_BanksA if tipocues=="A"
replace post_Test_Banks=sum_correct2_Banks/N2_BanksB if tipocues=="B"

gen		post_Test_IntCo=sum_correct2_Money/N2_IntCoA if tipocues=="A"
replace post_Test_IntCo=sum_correct2_Money/N2_IntCoB if tipocues=="B"



foreach x in pre_Test_Sav pre_Test_Money pre_Test_Banks pre_Test_IntCo {
gen 	`x'mis=(pretest==.)
replace `x'=0 if `x'mis==1
}

*drop a b
foreach x in pre_Test_Sav pre_Test_Money pre_Test_Banks pre_Test_IntCo {
summ 	`x'
gen a=r(mean)
gen b=r(sd)
gen norm_`x'=(`x'-a)/b
drop a b
}

foreach x in post_Test_Sav post_Test_Money post_Test_Banks post_Test_IntCo {
summ 	`x'
gen a=r(mean)
gen b=r(sd)
gen norm_`x'=(`x'-a)/b
drop a b
}

/* 

**********************************************************************************************
**********************************************************************************************
************************************** BASIC EMPIRICAL RESULTS ******************************* 
**********************************************************************************************

*/

gen migrant=(CA_P2==2)
gen migrant_mis=(CA_P2==.)

gen female=(CA_P1==2)
gen female_mis=(CA_P1==.)

gen tipoA=(TIPOCUES2=="A")

local Pdemogr_P "edumad1 edumad2 edumadmis edupad1 edupad2 edupadmis repetidores3"
local Pdemogr_C "migrant migrant_mis female female_mis"

** 0. UNDERSTANDING THE PRETEST 

summ pre_Test_Sav pre_Test_Money pre_Test_Banks pre_Test_IntCo

/* ******************************* TREATMENT *************************** */


* No controls

regress norm_postest treated norm_pretest norm_pretestmis, robust cluster(COD_CENTRO)

* Original strata
regress norm_postest treated norm_pretest norm_pretestmis stratum_c2-stratum_c16, robust cluster(COD_CENTRO)

lincom _b[_cons]+treated

lincom _b[_cons]

regress pretest treated   stra2-stra16 if norm_pretestmis==0, robust cluster(COD_CENTRO)

** BY TOPIC 

reg norm_post_Test_Sav treated norm_pretest norm_pretestmis stratum_c2-stratum_c16 , cluster(COD_CENTRO)


reg norm_post_Test_Money treated norm_pretest norm_pretestmis stratum_c2-stratum_c16 , cluster(COD_CENTRO)


reg norm_post_Test_Banks treated norm_pretest norm_pretestmis stratum_c2-stratum_c16, cluster(COD_CENTRO)

reg norm_post_Test_IntCo treated norm_pretest norm_pretestmis stratum_c2-stratum_c16, cluster(COD_CENTRO)


** PUBLIC ************************************************************

reg norm_post_Test_Sav treated norm_pretest norm_pretestmis stratum_c2-stratum_c16 if publico==1 , cluster(COD_CENTRO)

gen post_Savings=_b[treated]

reg norm_post_Test_Money treated norm_pretest norm_pretestmis stratum_c2-stratum_c16 if publico==1 , cluster(COD_CENTRO)
gen post_Money=_b[treated]


reg norm_post_Test_Banks treated norm_pretest norm_pretestmis stratum_c2-stratum_c16 if publico==1, cluster(COD_CENTRO)
gen post_Banks=_b[treated]

reg norm_post_Test_IntCo treated norm_pretest norm_pretestmis stratum_c2-stratum_c16 if publico==1 , cluster(COD_CENTRO)
gen post_IntCo=_b[treated]


graph bar post_Savings post_Money post_Banks post_IntCo, legend(label(1 "Savings") label(2 "Means payment") label(3 "Banks") /*
*/label(4 "Int. Consumption")) title("Impacts in public schools") subtitle("Standardized scores") blabel(bar, format(%9.2f)) /*
*/ ylabel(-.1(0.1).4)  graphregion(fcolor(white))

graph save Graph "C:\Users\Usuario\Dropbox\JHR\replication file\logfiles\Grades_by_topic_public.gph", replace

graph use "C:\Users\Usuario\Dropbox\JHR\replication file\logfiles\Grades_by_topic_public.gph", scheme(s2mono)
graph save Graph "C:\Users\Usuario\Dropbox\JHR\replication file\logfiles\Grades_by_topic_public.gph", replace

graph export "C:\Users\Usuario\Dropbox\JHR\replication file\logfiles\Grades_by_topic_public.pdf", as(pdf) replace


drop post_Money post_Banks post_IntCo post_Savings 

** BY TOPIC NON PUBLIC ************************************************************

reg norm_post_Test_Sav treated norm_pretest norm_pretestmis stratum_c2-stratum_c16 if publico==0 , cluster(COD_CENTRO)

gen post_Savings=_b[treated]

reg norm_post_Test_Money treated norm_pretest norm_pretestmis stratum_c2-stratum_c16 if publico==0 , cluster(COD_CENTRO)
gen post_Money=_b[treated]


reg norm_post_Test_Banks treated norm_pretest norm_pretestmis stratum_c2-stratum_c16 if publico==0, cluster(COD_CENTRO)
gen post_Banks=_b[treated]

reg norm_post_Test_IntCo treated norm_pretest norm_pretestmis stratum_c2-stratum_c16 if publico==0 , cluster(COD_CENTRO)
gen post_IntCo=_b[treated]

*drop post_Money post_Banks post_IntCo post_Savings 

graph bar post_Savings post_Money post_Banks post_IntCo, legend(label(1 "Savings") label(2 "Means payment") label(3 "Banks") /*
*/label(4 "Int. Consumption")) title("Impacts in non-public schools") subtitle("Standardized scores") /*
*/ blabel(bar, format(%9.2f)) ylabel(-.1(0.1).4) graphregion(fcolor(white))

graph save Graph "C:\Users\Usuario\Dropbox\JHR\replication file\logfiles\Grades_by_topic_nonpublic.gph", replace
graph use "C:\Users\Usuario\Dropbox\JHR\replication file\logfiles\Grades_by_topic_nonpublic.gph", scheme(s2mono)
graph save Graph "C:\Users\Usuario\Dropbox\JHR\replication file\logfiles\Grades_by_topic_nonpublic.gph", replace


graph export "C:\Users\Usuario\Dropbox\JHR\replication file\logfiles\Grades_by_topic_nonpublic.pdf", as(pdf) replace

gr combine "C:\Users\Usuario\Dropbox\JHR\replication file\logfiles\Grades_by_topic_public.gph" "C:\Users\Usuario\Dropbox\JHR\replication file\logfiles\Grades_by_topic_nonpublic.gph",graphregion(fcolor(white))

graph save "C:\Users\Usuario\Dropbox\JHR\replication file\logfiles\FigureW1_grades_by_topic.gph", replace
graph export "C:\Users\Usuario\Dropbox\JHR\replication file\logfiles\FigureW1_grades_by_topic.eps", as(eps) replace

