*File Name: Experimento // CTB_horizontal_may2023
*This version: April 2016 // May 2023
*Authors: Laura Hospido (laura.hospido@bde.es) - Ernesto Villanueva
*--------------------------------------------------------------------------
* Please notify and cite the authors to distribute and/or modify this work.
*--------------------------------------------------------------------------
set more off
clear all
cap log close
*cd "D:\BdE\EducacionFinanciera\BdE\2015\Datos"

**global datos_diciembre "C:\trabajo\new_projects\FInancial-literacy-eval 2014-2015\Virginia\Diciembre\Database"
**global datos_junio "C:\trabajo\new_projects\FInancial-literacy-eval 2014-2015\Virginia\Junio\Database"
**global logfiles "C:\trabajo\new_projects\FInancial-literacy-eval 2014-2015\Virginia\Junio\logfiles_Apr16"

global datos_junio "C:\Users\Usuario\Dropbox\JHR\replication file\datafiles"
global logfiles "C:\Users\Usuario\Dropbox\JHR\replication file\logfiles\"
global graphfiles "C:\Users\Usuario\Dropbox\JHR\replication file\graphfiles\test"
global graphfiles_repl "C:\Users\Usuario\Dropbox\JHR\Submission\Figures"


log using "${logfiles}Figure2 test panels CD.log",replace

**********************************************************************************
********************************* UNBALANCED SAMPLE ******************************
**********************************************************************************

******************
**** BALANCED ****
******************

use "${datos_junio}\Students", clear


*** MADRID ONLY  ***

keep if stratum_c == 1|  stratum_c == 2 | stratum_c == 3 | (stratum_c==7)

qui compress


gen		treatment=1 if curso==3
replace treatment=0 if curso==4

egen cluster_cole=group(COD_CENTRO curso)

replace stratum_c11=1 if stratum_c12==1
drop stratum_c12 stratum_c

gen 	b100_120=(december_CA_P11A==1)
replace b100_120=. if (december_CA_P11A==3|december_CA_P11A==.)
drop if b100_120==.

gen 	b100_150=(december_CA_P11B==1)
replace b100_150=. if (december_CA_P11B==3|december_CA_P11B==.)
drop if b100_150==.

gen 	b100_180=(december_CA_P11C==1)
replace b100_180=. if (december_CA_P11C==3|december_CA_P11C==.)
drop if b100_180==.



/* ********************* HYPOTHETICAL CHOICES ******************* */

gen 	late_treated=1 if (treatment==1& treated==0)
replace late_treated=2 if (treatment==0)
replace late_treated=3 if (treatment==1& treated==1)

drop if late_treated==3

*Late treated

foreach x in b100_120 b100_150 b100_180{
	
	reg `x' if late_treated==1, cluster(cluster_cole)
	gen `x'_3_late=_b[_cons] if late_treated==1
	mat A=get(VCE)
	gen sd_`x'_3_late=A[1,1]^.5 if late_treated==1

	gen l_`x'_3_late=`x'_3_late-1.96*sd_`x'_3_late if late_treated==1
	gen u_`x'_3_late=`x'_3_late+1.96*sd_`x'_3_late if late_treated==1

*Controls

	reg `x' if late_treated==2, cluster(cluster_cole)
	replace `x'_3_late=_b[_cons] if late_treated==2
	mat A=get(VCE)
	replace sd_`x'_3_late=A[1,1]^.5 if late_treated==2

	replace l_`x'_3_late=`x'_3_late-1.96*sd_`x'_3_late if late_treated==2
	replace u_`x'_3_late=`x'_3_late+1.96*sd_`x'_3_late if late_treated==2
	
}

***100 vs 120

graph twoway (bar b100_120_3_late late_treated if late_treated==1, fcolor(white)) /// 
(bar b100_120_3_late late_treated if late_treated==2, fcolor(gray)) /// 
(rcap l_b100_120_3_late u_b100_120_3_late late_treated), ylabel(0(0.1)0.3) ///
legend(row(1) order (1 "T=1" 2 "T=0")) ///
xlabel(1 " " 2 " ", noticks) ///
xtitle("100 euros today vs 120 in 3 weeks" ) graphregion(fcolor(white))

graph save Graph "${graphfiles}\100vs120_late.gph", replace

***100 vs 150

graph twoway (bar b100_150_3_late late_treated if late_treated==1, fcolor(white)) /// 
(bar b100_150_3_late late_treated if late_treated==2, fcolor(gray)) /// 
(rcap l_b100_150_3_late u_b100_150_3_late late_treated), ylabel(0(0.1)0.3) ///
legend(row(1) order (1 "T=1" 2 "T=0")) ///
xlabel(1 " " 2 " ", noticks) ///
xtitle("100 euros today vs 150 in 3 weeks" ) graphregion(fcolor(white))

graph save Graph "${graphfiles}\100vs150_late.gph", replace

***100 vs 180

graph twoway (bar b100_180_3_late late_treated if late_treated==1, fcolor(white)) /// 
(bar b100_180_3_late late_treated if late_treated==2,fcolor(gray)) /// 
(rcap l_b100_180_3_late u_b100_180_3_late late_treated), ylabel(0(0.1)0.3) ///
legend(row(1) order (1 "T=1" 2 "T=0")) ///
xlabel(1 " " 2 " ", noticks) ///
xtitle("100 euros today vs 180 in 3 weeks" ) graphregion(fcolor(white))

graph save Graph "${graphfiles}\100vs180_late.gph", replace

gr combine "${graphfiles}\100vs120_late.gph" "${graphfiles}\100vs150_late.gph" "${graphfiles}\100vs180_late.gph", /*
*/ col(3) ycommon title("Hypothetical choices at baseline") subtitle("Late Treated (9th graders) vs Control (10th graders)") graphregion(fcolor(white))

graph save "${graphfiles}\Figure1_hyp_late.gph", replace
graph use "${graphfiles}\Figure1_hyp_late.gph", scheme(s2mono)
graph save "${graphfiles}\Figure1_hyp_late.gph", replace

graph export "${graphfiles}\Figure1_hyp.eps", as(eps) replace
graph export "${graphfiles_repl}\Figure1_PanelB_hyp.pdf", as(pdf) replace

erase "${graphfiles}\100vs120_late.gph" 
erase "${graphfiles}\100vs150_late.gph"
erase "${graphfiles}\100vs180_late.gph"




******************************* TREATED IN APRIL-JUNE ***********************
* Today vs. One week *

* R=1
reg juego2 treatment stratum_c2 stratum_c3 stratum_c7 b100_120  b100_150 b100_180 if (treatment==0 | (treatment==1& treated==0)), robust cluster(cluster_cole)

* R=1.5 
reg juego3 treatment stratum_c2 stratum_c3 stratum_c7 b100_120  b100_150 b100_180 if (treatment==0 | (treatment==1& treated==0)), robust cluster(cluster_cole)

* Today vs. Two weeks *

* R=1
reg juego5 treatment stratum_c2 stratum_c3 stratum_c7 b100_120  b100_150 b100_180 if (treatment==0 | (treatment==1& treated==0)), robust cluster(cluster_cole)

* R=1.5

reg juego6 treatment stratum_c2 stratum_c3 stratum_c7 b100_120  b100_150 b100_180 if (treatment==0 | (treatment==1& treated==0)), robust cluster(cluster_cole)

* One week vs. Two weeks *
* R=1

reg juego8 treatment stratum_c2 stratum_c3 stratum_c7 b100_120  b100_150 b100_180 if (treatment==0 | (treatment==1& treated==0)), robust cluster(cluster_cole)

* R=1.5
reg juego9 treatment stratum_c2 stratum_c3 stratum_c7 b100_120  b100_150 b100_180 if (treatment==0 | (treatment==1& treated==0)), robust cluster(cluster_cole)


/* TREATMENT GRAPH */


*Late treated

foreach x in juego2 juego3 juego5 juego6 juego8 juego9{
	
	reg `x' if late_treated==1, cluster(cluster_cole)
	gen `x'_3_late=_b[_cons] if late_treated==1
	mat A=get(VCE)
	gen sd_`x'_3_late=A[1,1]^.5 if late_treated==1

	gen l_`x'_3_late=`x'_3_late-1.96*sd_`x'_3_late if late_treated==1
	gen u_`x'_3_late=`x'_3_late+1.96*sd_`x'_3_late if late_treated==1

*Controls

	reg `x' if late_treated==2, cluster(cluster_cole)
	replace `x'_3_late=_b[_cons] if late_treated==2
	mat A=get(VCE)
	replace sd_`x'_3_late=A[1,1]^.5 if late_treated==2

	replace l_`x'_3_late=`x'_3_late-1.96*sd_`x'_3_late if late_treated==2
	replace u_`x'_3_late=`x'_3_late+1.96*sd_`x'_3_late if late_treated==2
	
}




/* ********************* OUTCOME IN THE EXPERIMENT *************** */


/* ** Today vs one week ** */

graph twoway (bar juego2_3_late late_treated if late_treated==1, fcolor(white)) ///
(bar juego2_3_late late_treated if late_treated==2, fcolor(gray)) ///
(rcap l_juego2_3_late u_juego2_3_late late_treated), ylabel(0(0.4)1.6) ///
legend(row(1) order (1 "T=1" 2 "T=0")) ///
xlabel(1 " " 2 " ", noticks) ///
xtitle("Today vs one week" ) graphregion(fcolor(white))

graph save Graph "${graphfiles}\juego2_late.gph", replace

graph twoway (bar juego3_3_late late_treated if late_treated==1, fcolor(white)) ///
(bar juego3_3_late late_treated if late_treated==2, fcolor(gray)) ///
(rcap l_juego3_3_late u_juego3_3_late late_treated), ylabel(0(0.4)1.6) ///
legend(row(1) order (1 "T=1" 2 "T=0")) ///
xlabel(1 " " 2 " ", noticks) ///
xtitle("Today vs one week" ) graphregion(fcolor(white))

graph save Graph "${graphfiles}\juego3_late.gph", replace


** Today vs two weeks

graph twoway (bar juego5_3_late late_treated if late_treated==1, fcolor(white)) ///
(bar juego5_3_late late_treated if late_treated==2, fcolor(gray)) ///
(rcap l_juego5_3_late u_juego5_3_late late_treated), ylabel(0(0.4)1.6) ///
legend(row(1) order (1 "T=1" 2 "T=0")) ///
xlabel(1 " " 2 " ", noticks) ///
xtitle("Today vs two weeks" ) graphregion(fcolor(white))

graph save Graph "${graphfiles}\juego5_late.gph", replace

graph twoway (bar juego6_3_late late_treated if late_treated==1, fcolor(white)) ///
(bar juego6_3_late late_treated if late_treated==2, fcolor(gray)) ///
(rcap l_juego6_3_late u_juego6_3_late late_treated), ylabel(0(0.4)1.6) ///
legend(row(1) order (1 "T=1" 2 "T=0")) ///
xlabel(1 " " 2 " ", noticks) ///
xtitle("Today vs two weeks" ) graphregion(fcolor(white))

graph save Graph "${graphfiles}\juego6_late.gph", replace

** One vs two weeks

graph twoway (bar juego8_3_late late_treated if late_treated==1, fcolor(white)) ///
(bar juego8_3_late late_treated if late_treated==2, fcolor(gray)) ///
(rcap l_juego8_3_late u_juego8_3_late late_treated), ylabel(0(0.4)1.6) ///
legend(row(1) order (1 "T=1" 2 "T=0")) ///
xlabel(1 " " 2 " ", noticks) ///
xtitle("One vs two weeks" ) graphregion(fcolor(white))

graph save Graph "${graphfiles}\juego8_late.gph", replace

graph twoway (bar juego9_3_late late_treated if late_treated==1, fcolor(white)) ///
(bar juego9_3_late late_treated if late_treated==2, fcolor(gray)) ///
(rcap l_juego9_3_late u_juego9_3_late late_treated), ylabel(0(0.4)1.6) ///
legend(row(1) order (1 "T=1" 2 "T=0")) ///
xlabel(1 " " 2 " ", noticks) ///
xtitle("One vs two weeks" ) graphregion(fcolor(white))

graph save Graph "${graphfiles}\juego9_late.gph", replace


/* ***************************** R=100******************* */

gr combine "${graphfiles}\juego2_late.gph" "${graphfiles}\juego5_late.gph" "${graphfiles}\juego8_late.gph", ycommon col(3) graphregion(fcolor(white))

graph save "${graphfiles}\Figure2_late.gph", replace
graph use "${graphfiles}\Figure2_late.gph", scheme(s2mono)
graph save "${graphfiles}\Figure2_late.gph", replace

graph export "${graphfiles}\Figure2_late.eps", as(eps) replace



/* ***************************** R=200******************* */

gr combine "${graphfiles}\juego2_late.gph" "${graphfiles}\juego5_late.gph" "${graphfiles}\juego8_late.gph", ycommon col(3) graphregion(fcolor(white))

graph save "${graphfiles}\Figure2_panelC_late.gph", replace
graph use "${graphfiles}\Figure2_panelC_late.gph", scheme(s2mono)
graph save "${graphfiles}\Figure2_panelC_late.gph", replace
graph export "${graphfiles}\Figure2_panelC_late.eps", as(eps) replace
graph export "${graphfiles_repl}\BoverHospidoVillanuevaFigure2_panelC.pdf", as(pdf) replace


erase "${graphfiles}\juego2_late.gph" 
erase "${graphfiles}\juego5_late.gph"
erase "${graphfiles}\juego8_late.gph"

gr combine "${graphfiles}\juego3_late.gph" "${graphfiles}\juego6_late.gph" "${graphfiles}\juego9_late.gph", ycommon col(3) graphregion(fcolor(white))

graph save "${graphfiles}\Figure2_panelD_late.gph", replace
graph use "${graphfiles}\Figure2_panelD_late.gph", scheme(s2mono)
graph save "${graphfiles}\Figure2_panelD_late.gph", replace
graph export "${graphfiles}\Figure2_panelD_late.eps", as(eps) replace
graph export "${graphfiles_repl}\BoverHospidoVillanuevaFigure2_panelD.pdf", as(pdf) replace


erase "${graphfiles}\juego3_late.gph" 
erase "${graphfiles}\juego6_late.gph"
erase "${graphfiles}\juego9_late.gph"

log close
