*---------------------------------------------------------------------------
* Nota: 
* Las variables se crean manteniendo los valores missing para los descriptivos
* Estos valores se reemplazarán por ceros cuando se usen como regresores en 
* las regresiones.
*---------------------------------------------------------------------------

** Variables **
gen		dec100_120=december_CA_P11A			//situaciones hipoteticas
replace	dec100_120=. if december_CA_P11A==3
replace dec100_120=0 if december_CA_P11A==2
gen 	dec100_120_mis=(december_CA_P11A==3|december_CA_P11A==.)

gen		dec100_150=december_CA_P11B			
replace	dec100_150=. if december_CA_P11B==3
replace dec100_150=0 if december_CA_P11B==2
gen 	dec100_150_mis=(december_CA_P11B==3|december_CA_P11B==.)

gen		dec100_180=december_CA_P11C			
replace	dec100_180=. if december_CA_P11C==3
replace dec100_180=0 if december_CA_P11C==2
gen 	dec100_180_mis=(december_CA_P11C==3|december_CA_P11C==.)

gen		mar100_120=march_CA_C9			//situaciones hipoteticas
replace	mar100_120=. if march_CA_C9==0
replace mar100_120=0 if march_CA_C9==2
gen 	mar100_120_mis=(march_CA_C9==0|march_CA_C9==.)

gen		mar100_150=march_CA_C10			
replace	mar100_150=. if march_CA_C10==0
replace mar100_150=0 if march_CA_C10==2
gen 	mar100_150_mis=(march_CA_C10==0|march_CA_C10==.)

gen		mar100_180=march_CA_C11			
replace	mar100_180=. if march_CA_C11==0
replace mar100_180=0 if march_CA_C11==2
gen 	mar100_180_mis=(march_CA_C11==0|march_CA_C11==.)

gen		mar100_120_2=march_CA_C12			
replace	mar100_120_2=. if march_CA_C12==0
replace mar100_120_2=0 if march_CA_C12==2
gen 	mar100_120_2_mis=(march_CA_C12==0|march_CA_C12==.)

gen		E_dropA=16 if december_CA_P5==1		//expectativas estudios
replace E_dropA=18 if december_CA_P5==2
replace E_dropA=20 if december_CA_P5==3
replace E_dropA=22 if december_CA_P5==4
replace E_dropA=24 if december_CA_P5==5
gen 	E_dropA_mis=(december_CA_P5==.) 

gen		E_drop16=0 						//Expects to leave at 16
replace E_drop16=1 if december_CA_P5==1
replace E_drop16=. if december_CA_P5==.
gen 	E_drop16_mis=(december_CA_P5==.) 

gen		E_drop18=0 						//Expects to finish at most HS academic track
replace E_drop18=1 if december_CA_P5<=2
replace E_drop18=. if december_CA_P5==.
gen 	E_drop18_mis=(december_CA_P5==.) 

gen		E_drop20=0 						//Expects to finish at most HS vocational training
replace E_drop20=1 if december_CA_P5<=3
replace E_drop20=. if december_CA_P5==.
gen 	E_drop20_mis=(december_CA_P5==.) 

gen		E_drop22=0 						//Expects to finish college
replace E_drop22=1 if december_CA_P5>=4
replace E_drop22=. if december_CA_P5==.
gen 	E_drop22_mis=(december_CA_P5==.) 

replace december_CA_P6=. if december_CA_P6==5
gen 	daily0	 	=0	if december_CA_P6!=.	//Frecuencia con la que habla de economia con los padres
gen 	onceweek0	=0	if december_CA_P6!=.
gen 	bonceweek0	=0	if december_CA_P6!=.
gen 	nevertalk0	=0	if december_CA_P6!=.
gen 	talk0_mis 	=0	
replace daily0=1	 if december_CA_P6==1 // A diario
replace onceweek0=1	 if december_CA_P6==2 // Una vez por semana
replace bonceweek0=1 if december_CA_P6==3 // Menos de una vez por semana
replace nevertalk0=1 if december_CA_P6==4 // Nunca
replace talk0_mis=1	 if december_CA_P6==. // Missing
gen		freq_cont0=4 if daily0==1
replace freq_cont0=3 if onceweek0==1
replace freq_cont0=2 if bonceweek0==1
replace freq_cont0=1 if nevertalk0==1

replace march_CA_C5=. 	if march_CA_C5==0
gen 	daily1=0	 	if march_CA_C5!=.		//Frecuencia con la que habla de economia con los padres
gen 	onceweek1=0  	if march_CA_C5!=.
gen 	bonceweek1=0	if march_CA_C5!=.
gen 	nevertalk1=0 	if march_CA_C5!=.
gen 	talk1_mis=0
replace daily1=1 	 if march_CA_C5==1 // A diario
replace onceweek1=1  if march_CA_C5==2 // Una vez por semana
replace bonceweek1=1 if march_CA_C5==3 // Menos de una vez por semana
replace nevertalk1=1 if march_CA_C5==4 // Nunca
replace talk1_mis=1  if march_CA_C5==. // Missing
gen		freq_cont1=4 if daily1==1
replace freq_cont1=3 if onceweek1==1
replace freq_cont1=2 if bonceweek1==1
replace freq_cont1=1 if nevertalk1==1

gen 	cuenta_bancaria_0=december_CA_P8A 		//Tiene cuenta bancaria 
replace cuenta_bancaria_0=0 if december_CA_P8A==2
gen 	cuenta_bancaria_0_mis=(december_CA_P8A==.)
replace cuenta_bancaria_0=. if cuenta_bancaria_0_mis==1

replace march_CA_C7A=.	if march_CA_C7A==0
gen 	cuenta_bancaria_1=march_CA_C7A 				//Tiene cuenta bancaria 
replace cuenta_bancaria_1=1 if march_CA_C7A==1
replace cuenta_bancaria_1=0 if march_CA_C7A==2

gen  	tarjeta_monedero_0=december_CA_P8B 			//Tiene tarjeta monedero
replace tarjeta_monedero_0=0 if december_CA_P8B==2
gen 	tarjeta_monedero_0_mis=(december_CA_P8B==.)
replace tarjeta_monedero_0=0 if tarjeta_monedero_0_mis==1

replace march_CA_C7B=.	if march_CA_C7A==0
gen		tarjeta_monedero_1=march_CA_C7B				//Tiene tarjeta monedero
replace tarjeta_monedero_1=1 if march_CA_C7B==1
replace tarjeta_monedero_1=0 if march_CA_C7B==2

gen cuenta_tarjeta_0 = cuenta_bancaria_0*tarjeta_monedero_0	//Generar interaccion entre cuenta bancaria y tarjeta monedero
gen cuenta_tarjeta_1 = cuenta_bancaria_1*tarjeta_monedero_1

gen		 alguna_cuenta_0=.							//Tiene cuenta bancaria o tarjeta monedero
replace  alguna_cuenta_0=0 if cuenta_bancaria_0==0 & tarjeta_monedero_0==0 
replace  alguna_cuenta_0=1 if cuenta_bancaria_0==1 | tarjeta_monedero_0==1 
gen		 alguna_cuenta_0_mis=(cuenta_bancaria_0==. & tarjeta_monedero_0==.)

gen		 alguna_cuenta_1=.							//Tiene cuenta bancaria o tarjeta monedero
replace  alguna_cuenta_1=0 if cuenta_bancaria_1==0 & tarjeta_monedero_1==0 
replace  alguna_cuenta_1=1 if cuenta_bancaria_1==1 | tarjeta_monedero_1==1 

replace december_CA_P9=. if december_CA_P9==6		//Actitud frente al ahorro 
forvalues i=1(1)5 {
	gen ahorro0_`i'=(december_CA_P9==`i')
	}
gen ahorro0_mis=(december_CA_P9==.)

replace march_CA_C8=. if march_CA_C8==0				//Actitud frente al ahorro
forvalues i=1(1)5 {
	gen ahorro1_`i'=(march_CA_C8==`i')
	}
gen ahorro1_mis=(march_CA_C8==.)

gen 	paga_tcasa_0=december_CA_P7A 			//Paga por hacer tareas en casa
replace paga_tcasa_0=0 if paga_tcasa_0==2
gen 	paga_tcasa_0_mis=(paga_tcasa_0==.)
replace paga_tcasa_0=. if paga_tcasa_0_mis==1

replace march_CA_C6A=. if march_CA_C6A==0
gen 	paga_tcasa_1=march_CA_C6A 			//Paga por hacer tareas en casa
replace paga_tcasa_1=0 if paga_tcasa_1==2
gen 	paga_tcasa_1_mis=(paga_tcasa_1==.)
replace paga_tcasa_1=. if paga_tcasa_1_mis==1

gen 	paga_ntcasa_0=december_CA_P7B 			//Paga sin hacer tareas en casa
replace paga_ntcasa_0=0 if paga_ntcasa_0==2
gen 	paga_ntcasa_0_mis=(paga_ntcasa_0==.)
replace paga_ntcasa_0=. if paga_ntcasa_0_mis==1

replace march_CA_C6B=. if march_CA_C6B==0
gen 	paga_ntcasa_1=march_CA_C6B			//Paga sin hacer tareas en casa
replace paga_ntcasa_1=0 if paga_ntcasa_1==2
gen 	paga_ntcasa_1_mis=(paga_ntcasa_1==.)
replace paga_ntcasa_1=. if paga_ntcasa_1_mis==1

gen  	trab_ocas_0=december_CA_P7C  			//Consigue dinero en trabajos ocasionales fuera del horario escolar
replace trab_ocas_0=0 if trab_ocas_0==2
gen 	trab_ocas_0_mis=(trab_ocas_0==.)
replace trab_ocas_0=. if trab_ocas_0_mis==1

replace march_CA_C6C=. if march_CA_C6C==0
gen 	trab_ocas_1=march_CA_C6C			//Consigue dinero en trabajos ocasionales fuera del horario escolar
replace trab_ocas_1=0 if trab_ocas_1==2
gen 	trab_ocas_1_mis=(trab_ocas_1==.)
replace trab_ocas_1=. if trab_ocas_1_mis==1

gen 	paga_negociof_0=december_CA_P7D 		//Consigue dinero por trabajar en negocio familiar
replace paga_negociof_0=0 if paga_negociof_0==2
gen 	paga_negociof_0_mis=(paga_negociof_0==.)
replace paga_negociof_0=. if paga_negociof_0_mis==1

replace march_CA_C6D=. if march_CA_C6D==0
gen 	paga_negociof_1=march_CA_C6D			//Consigue dinero por trabajar en negocio familiar
replace paga_negociof_1=0 if paga_negociof_1==2
gen 	paga_negociof_1_mis=(paga_negociof_1==.)
replace paga_negociof_1=. if paga_negociof_1_mis==1

gen 	labor_inside_0=0 if paga_negociof_0==0 & paga_tcasa_0==0	//Consigue dinero por trabajos familiares
replace labor_inside_0=1 if paga_negociof_0==1 | paga_tcasa_0==1
gen		labor_inside_0_mis=(paga_negociof_0_mis==1&paga_tcasa_0_mis==1)
replace labor_inside_0=. if labor_inside_0_mis==1

gen 	labor_inside_1=0 if paga_negociof_1==0 & paga_tcasa_1==0	//Consigue dinero por trabajos familiares
replace labor_inside_1=1 if paga_negociof_1==1 | paga_tcasa_1==1
gen		labor_inside_1_mis=(paga_negociof_1_mis==1&paga_tcasa_1_mis==1)
replace labor_inside_1=. if labor_inside_1_mis==1

gen 	paga_fam_0=december_CA_P7E 				//Le da dinero algún familiar
replace paga_fam_0=0 if paga_fam_0==2
gen 	paga_fam_0_mis=(paga_fam_0==.)
replace paga_fam_0=. if paga_fam_0_mis==1

replace march_CA_C6E=. if march_CA_C6E==0
gen 	paga_fam_1=march_CA_C6E 				//Le da dinero algún familiar
replace paga_fam_1=0 if paga_fam_1==2
gen 	paga_fam_1_mis=(paga_fam_1==.)
replace paga_fam_1=. if paga_fam_1_mis==1

gen 	venta_internet_0=december_CA_P7F 		//Consigue dinero vendiendo cosas por internet o mercadillo
replace venta_internet_0=0 if venta_internet_0==2
gen 	venta_internet_0_mis=(venta_internet_0==.)
replace venta_internet_0=. if venta_internet_0_mis==1

replace march_CA_C6F=. if march_CA_C6F==0
gen 	venta_internet_1=march_CA_C6F 		//Consigue dinero vendiendo cosas por internet o mercadillo
replace venta_internet_1=0 if venta_internet_1==2
gen 	venta_internet_1_mis=(venta_internet_1==.)
replace venta_internet_1=. if venta_internet_1_mis==1

gen 	labor_outside_0=0 if trab_ocas_0==0 & venta_internet_0==0	//Consigue dinero por trabajos/ventas fuera del entorno familiar
replace labor_outside_0=1 if trab_ocas_0==1 | venta_internet_0==1
gen		labor_outside_0_mis=(trab_ocas_0_mis==1&venta_internet_0_mis==1)
replace labor_outside_0=. if labor_outside_0_mis==1

gen 	labor_outside_1=0 if trab_ocas_1==0 & venta_internet_1==0	//Consigue dinero por trabajos/ventas fuera del entorno familiar
replace labor_outside_1=1 if trab_ocas_1==1 | venta_internet_1==1
gen		labor_outside_1_mis=(trab_ocas_1_mis==1&venta_internet_1_mis==1)
replace labor_outside_1=. if labor_outside_1_mis==1

gen 	labor_income_1=0	//Combining stuff (vendiendo cosas por internet)+(trabajos ocasionales)+(paga por tareas en casa)+(pagas por tareas fuera del hogar)
replace labor_income_1=1 if paga_tcasa_1==1 | trab_ocas_1==1 | venta_internet_1==1 | paga_negociof_1==1
gen		labor_income_1_mis=(paga_tcasa_1_mis==1&trab_ocas_1_mis==1&venta_internet_1_mis==1&paga_negociof_1_mis==1)
replace labor_income_1=. if labor_income_1_mis==1

gen 	labor_income_0=0	//Combining stuff (vendiendo cosas por internet)+(trabajos ocasionales)+(paga por tareas en casa)+(pagas por tareas fuera del hogar)
replace labor_income_0=1 if paga_tcasa_0==1 | trab_ocas_0==1 | venta_internet_0==1 | paga_negociof_0==1
gen		labor_income_0_mis=(paga_tcasa_0_mis==1&trab_ocas_0_mis==1&venta_internet_0_mis==1&paga_negociof_0_mis==1)
replace labor_income_0=. if labor_income_0_mis==1

replace december_CA_P3=. 	if december_CA_P3==10	//Estado laboral del padre (cuest. alumnos)
gen 	autonomop1=0 		if december_CA_P3!=.
replace autonomop1=1 		if december_CA_P3==2
gen 	trabajaempp1=0 		if december_CA_P3!=.
replace trabajaempp1=1 		if december_CA_P3==1
gen 	paradop1=0 			if december_CA_P3!=.
replace paradop1=1 			if december_CA_P3==3
gen 	jubiladop1=0 		if december_CA_P3!=.
replace jubiladop1=1 		if december_CA_P3==4
gen 	other_labp1=0 		if december_CA_P3!=.
replace other_labp1=1 		if (december_CA_P3>=4 & december_CA_P3<=9)
gen 	incapacitadop1=0 	if december_CA_P3!=.
replace incapacitadop1=1 	if december_CA_P3==5
gen 	laboresp1=0 		if december_CA_P3!=.
replace laboresp1=1 		if december_CA_P3==6
gen 	serviciop1=0 		if december_CA_P3!=.
replace serviciop1=1 		if december_CA_P3==8
gen 	descp1=0 			if december_CA_P3!=.
replace descp1=1 			if december_CA_P3==9

gen 	estlabp1=0 if december_CA_P3==.
replace estlabp1=1 if autonomop==1
replace estlabp1=2 if trabajaempp==1
replace estlabp1=3 if paradop==1
replace estlabp1=4 if other_labp==1

replace family_P18A=.		if family_P18A==7		//Estado laboral del padre (cuest. familias) 
gen 	autonomop2=0 		if family_P18A!=.			
replace autonomop2=1 		if family_P18A==2
gen 	trabajaempp2=0 		if family_P18A!=.
replace trabajaempp2=1 		if family_P18A==1
gen 	paradop2=0 			if family_P18A!=.
replace paradop2=1 			if family_P18A==3
gen 	jubiladop2=0 		if family_P18A!=.
replace jubiladop2=1 		if family_P18A==4
gen 	incapacitadop2=0 	if family_P18A!=.
replace incapacitadop2=1 	if family_P18A==5
gen 	other_labp2=0 		if family_P18A!=.
replace other_labp2=1 		if (family_P18A>=4 & family_P18A<=6)

gen 	estlabp2=0 if family_P18A==.
replace estlabp2=1 if autonomop2==1
replace estlabp2=2 if trabajaempp2==1
replace estlabp2=3 if paradop2==1
replace estlabp2=4 if other_labp2==1

/*label variable estlabp1 "Estado laboral padre (cuest.alumnos)"
label variable estlabp2 "Estado laboral padre (cuest.familia)"

gen 	estlabp=estlabp1	//respuestas de los alumnos complementadas con las de los padres solo en aquellos casos en los que no tenemos respuesta de los alumnos pero si de las familias
replace estlabp=estlabp2 if estlabp==0&family_P18A!=.
tab 	estlabp treated	*/

gen 	autonomop=autonomop1			//Estado laboral del padre (cuest. alumno completado con cuest.familia si cuest.alumno==.)
replace autonomop=autonomop2		if	 december_CA_P3==.& family_P18A!=.
gen 	trabajaempp=trabajaempp1
replace trabajaempp=trabajaempp2	if	 december_CA_P3==.& family_P18A!=.
gen 	paradop=paradop1
replace paradop=paradop2			if	 december_CA_P3==.& family_P18A!=.
gen 	other_labp=other_labp1
replace other_labp=other_labp2		if	 december_CA_P3==.& family_P18A!=.
gen 	autonomop_mis=(december_CA_P3==.&family_P18A==.)
gen 	notrabajap=0
replace notrabajap=1				if 	paradop==1|other_labp==1	
replace notrabajap=.				if	december_CA_P3==.& family_P18A!=.


/*gen 	estlabp4=estlabp2 	//las respuestas de las familias complementadas con las de los alumnos solo en aquellos casos en los que no tenemos respuesta de las familias pero si de los alumnos
replace estlabp4=estlabp if estlabp2==0&december_CA_P3!=.
tab 	estlabp4 treated

gen 	autonomop4=autonomop2
replace autonomop4=autonomop		if	 december_CA_P3!=.& family_P18A==.
gen 	trabajaempp4=trabajaempp2
replace trabajaempp4=trabajaempp	if	 december_CA_P3!=.& family_P18A==.
gen 	paradop4=paradop2
replace paradop4=paradop			if	 december_CA_P3!=.& family_P18A==.
gen 	other_labp4=other_labp2
replace other_labp4=other_labp		if	 december_CA_P3!=.& family_P18A==.	

label variable estlabp3 	"Estado laboral padre (cuest.alumnos+cuest.familia)"
label variable estlabp4 	"Estado laboral padre (cuest.familia+cuest.alumnos)"*/

drop autonomop1 autonomop2 trabajaempp1 trabajaempp2 paradop1 paradop2 other_labp1 other_labp2 /*
*/ jubiladop1 incapacitadop1 laboresp1 serviciop1 descp1 estlabp1 jubiladop2 incapacitadop2 estlabp2 

replace december_CA_P4=. 	if december_CA_P4==10 //Estado laboral de la madre (cuest. alumnos)
gen 	autonomom1=0 		if december_CA_P4!=.
replace autonomom1=1 		if december_CA_P4==2
gen 	trabajaempm1=0 		if december_CA_P4!=.
replace trabajaempm1=1 		if december_CA_P4==1
gen 	paradom1=0 			if december_CA_P4!=.
replace paradom1=1 			if december_CA_P4==3
gen 	jubiladom1=0 		if december_CA_P4!=.
replace jubiladom1=1 		if december_CA_P4==4
gen 	other_labm1=0 		if december_CA_P4!=.
replace other_labm1=1 		if (december_CA_P4>=4 & december_CA_P4<=9)
gen 	incapacitadom1=0 	if december_CA_P4!=.
replace incapacitadom1=1 	if december_CA_P4==5
gen 	laboresm1=0 		if december_CA_P4!=.
replace laboresm1=1 		if december_CA_P4==6
gen 	serviciom1=0 		if december_CA_P4!=.
replace serviciom1=1 		if december_CA_P4==8
gen 	descm1=0 			if december_CA_P4!=.
replace descm1=1 			if december_CA_P4==9

gen 	estlabm1=0 if december_CA_P4==.
replace estlabm1=1 if autonomom==1
replace estlabm1=2 if trabajaempm==1
replace estlabm1=3 if paradom==1
replace estlabm1=4 if other_labm==1

replace family_P18B=.		if family_P18B==7	//Estado laboral de la madre (cuest. familias) 
gen 	autonomom2=0 		if family_P18B!=.			
replace autonomom2=1 		if family_P18B==2
gen 	trabajaempm2=0 		if family_P18B!=.
replace trabajaempm2=1 		if family_P18B==1
gen 	paradom2=0 			if family_P18B!=.
replace paradom2=1 			if family_P18B==3
gen 	jubiladom2=0 		if family_P18B!=.
replace jubiladom2=1 		if family_P18B==4
gen 	incapacitadom2=0 	if family_P18B!=.
replace incapacitadom2=1 	if family_P18B==5
gen 	other_labm2=0 		if family_P18B!=.
replace other_labm2=1 		if (family_P18B>=4 & family_P18B<=6)

gen 	estlabm2=0 if family_P18B==.
replace estlabm2=1 if autonomom2==1
replace estlabm2=2 if trabajaempm2==1
replace estlabm2=3 if paradom2==1
replace estlabm2=4 if other_labm2==1

/*label variable estlabm 	"Estado laboral madre (cuest.alumnos)"
label variable estlabm2 "Estado laboral madre (cuest.familia)"

gen 	estlabm3=estlabm	//respuestas de los alumnos complementadas con las de los padres solo en aquellos casos en los que no tenemos respuesta de los alumnos pero si de las familias
replace estlabm3=estlabm2 if estlabm==0&family_P18A!=.
tab 	estlabm3 treated	*/

gen 	autonomom=autonomom1
replace autonomom=autonomom2		if	 december_CA_P4==.& family_P18B!=.
gen 	trabajaempm=trabajaempm1
replace trabajaempm=trabajaempm2	if	 december_CA_P4==.& family_P18B!=.
gen 	paradom=paradom1
replace paradom=paradom2			if	 december_CA_P4==.& family_P18B!=.
gen 	other_labm=other_labm1
replace other_labm=other_labm2		if	 december_CA_P4==.& family_P18B!=.
gen 	autonomom_mis=(december_CA_P4==.&family_P18B==.)
gen 	notrabajam=0
replace notrabajam=1				if 	paradom==1|other_labm==1	
replace notrabajam=.				if	december_CA_P4==.& family_P18B!=.

/*gen 	estlabm4=estlabm2 	//las respuestas de las familias complementadas con las de los alumnos solo en aquellos casos en los que no tenemos respuesta de las familias pero si de los alumnos
replace estlabm4=estlabm if estlabp2==0&december_CA_P4!=.
tab 	estlabm4 treated

gen 	autonomom4=autonomom2
replace autonomom4=autonomom		if	 december_CA_P4==.& family_P18B!=.
gen 	trabajaempm4=trabajaempm2
replace trabajaempm4=trabajaempm	if	 december_CA_P4==.& family_P18B!=.
gen 	paradom4=paradom2
replace paradom4=paradom			if	 december_CA_P4==.& family_P18B!=.
gen 	other_labm4=other_labm2
replace other_labm4=other_labm		if	 december_CA_P4==.& family_P18B!=.

label variable estlabm3 	"Estado laboral madre (cuest.alumnos+cuest.familia)"
label variable estlabm4 	"Estado laboral madre (cuest.familia+cuest.alumnos)"	*/

drop autonomom1 autonomom2 trabajaempm1 trabajaempm2 paradom1 paradom2 other_labm1 other_labm2 /*
*/ jubiladom1 incapacitadom1 laboresm1 serviciom1 descm1 estlabm1 jubiladom2 incapacitadom2 estlabm2

label variable nom_centro 		"Nombre del centro"
label variable treated 			"Tratamiento"
label variable stratum  		"Estrato"
label variable stratum_c  		"Estrato consolidado"
label variable dec100_120 		"H1: 100euros hoy o 120 mas tarde (diciembre)"
label variable dec100_150 		"H2: 100euros hoy o 150 mas tarde (diciembre)"
label variable dec100_180 		"H3: 100euros hoy o 180 mas tarde (diciembre)"
label define dec100_120 		1 "100 euros hoy" 0 "120 en tres semanas", replace
label define dec100_150 		1 "100 euros hoy" 0 "150 en tres semanas", replace
label define dec100_180 		1 "100 euros hoy" 0 "180 en tres semanas", replace
label variable mar100_120 		"H1: 100euros hoy o 120 mas tarde (marzo)"
label variable mar100_150 		"H2: 100euros hoy o 150 mas tarde (marzo)"
label variable mar100_180 		"H3: 100euros hoy o 180 mas tarde (marzo)"
label define mar100_120 		1 "100 euros hoy" 0 "120 en tres semanas", replace
label define mar100_150 		1 "100 euros hoy" 0 "150 en tres semanas", replace
label define mar100_180 		1 "100 euros hoy" 0 "180 en tres semanas", replace
label define mar100_120_2 		1 "100 euros hoy" 0 "120 en seis semanas", replace
label variable E_dropA 			"Edad a la que espera finalizar estudios"
label variable E_drop16 		"Expects to leave at 16"
label variable E_drop18 		"Expects to finish at most HS academic track"
label variable E_drop20 		"Expects to finish at most HS vocational training"
label variable E_drop22 		"Expects to finish college"
label variable freq_cont0 		"Frecuencia con la que habla de economia con los padres (diciembre)"
label variable daily0 			"Habla con los padres de economía: a diario"
label variable onceweek0 		"Habla con los padres de economía: una vez por semana"
label variable bonceweek0 		"Habla con los padres de economía: menos de una vez por semana"
label variable nevertalk0 		"Habla con los padres de economía: nunca"
label variable freq_cont1 		"Frecuencia con la que habla de economia con los padres (marzo)"
label variable cuenta_bancaria_0 "Tiene cuenta bancaria (diciembre)"
label variable cuenta_bancaria_1 "Tiene cuenta bancaria (marzo)"
label variable tarjeta_monedero_0 "Tiene tarjeta monedero (diciembre)"
label variable tarjeta_monedero_1 "Tiene tarjeta monedero (marzo)"
label variable cuenta_tarjeta_0 "Interaccion entre cuenta bancaria y tarjeta monedero (diciembre)"
label variable cuenta_tarjeta_1 "Interaccion entre cuenta bancaria y tarjeta monedero (marzo)"
label variable alguna_cuenta_0 "Tiene cuenta bancaria o tarjeta monedero (diciembre)"
label variable alguna_cuenta_1 "Tiene cuenta bancaria o tarjeta monedero (marzo)"
label variable ahorro0_1 		"Ahorro la misma cantidad de dinero cada semana (diciembre)"
label variable ahorro0_2 		"Ahorro algo cada semana, pero la cantidad varía (diciembre)"
label variable ahorro0_3 		"Ahorro solo ocasionalmente (diciembre)"
label variable ahorro0_4 		"No ahorro en absoluto (diciembre)"
label variable ahorro0_5 		"No tengo dinero, no puedo ahorrar (diciembre)"
label variable ahorro1_1 		"Ahorro la misma cantidad de dinero cada semana (marzo)"
label variable ahorro1_2 		"Ahorro algo cada semana, pero la cantidad varía (marzo)"
label variable ahorro1_3 		"Ahorro solo ocasionalmente (marzo)"
label variable ahorro1_4 		"No ahorro en absoluto (marzo)"
label variable ahorro1_5 		"No tengo dinero, no puedo ahorrar (marzo)"
label variable paga_tcasa_0 	"Paga por hacer tareas en casa (diciembre)"
label variable paga_ntcasa_0 	"Paga sin hacer tareas en casa (diciembre)"
label variable trab_ocas_0 		"Consigue dinero en trabajos ocasionales fuera del horario escolar (diciembre)"
label variable paga_negociof_0 	"Consigue dinero por trabajar en negocio familiar (diciembre)"
label variable labor_inside_0 	"Consigue dinero por trabajos familiares (diciembre)"
label variable paga_fam_0 		"Le da dinero algún familiar (diciembre)"
label variable venta_internet_0 "Consigue dinero vendiendo cosas por internet o mercadillo (diciembre)"
label variable labor_outside_0 	"Consigue dinero por trabajos/ventas fuera del entorno familiar (diciembre)"
label variable labor_income_0 	"Consigue dinero (diciembre)"
label variable paga_tcasa_1 	"Paga por hacer tareas en casa (marzo)"
label variable paga_ntcasa_1 	"Paga sin hacer tareas en casa (marzo)"
label variable trab_ocas_1 		"Consigue dinero en trabajos ocasionales fuera del horario escolar (marzo)"
label variable paga_negociof_1 	"Consigue dinero por trabajar en negocio familiar (marzo)"
label variable labor_inside_1 	"Consigue dinero por trabajos familiares (marzo)"
label variable paga_fam_1 		"Le da dinero algún familiar (marzo)"
label variable venta_internet_1 "Consigue dinero vendiendo cosas por internet o mercadillo (marzo)"
label variable labor_outside_1 	"Consigue dinero por trabajos/ventas fuera del entorno familiar (marzo)"
label variable labor_income_1 	"Consigue dinero (marzo)"
label variable autonomop 		"Padre autonomo (cuest.alumnos+cuest.familia)"
label variable trabajaempp 		"Padre asalariado (cuest.alumnos+cuest.familia)"
label variable paradop 			"Padre desempleado (cuest.alumnos+cuest.familia)"
label variable other_labp 		"Padre no trabajo/otros (cuest.alumnos+cuest.familia)"
label variable autonomom 		"Madre autonoma (cuest.alumnos+cuest.familia)"
label variable trabajaempm 		"Madre asalariada (cuest.alumnos+cuest.familia)"
label variable paradom 			"Madre desempleada (cuest.alumnos+cuest.familia)"
label variable other_labm 		"Madre no trabaja/otros (cuest.alumnos+cuest.familia)"
label variable autonomop_mis	"Estado laboral padre missing (cuest.alumnos+cuest.familia)"
label variable autonomom_mis	"Estado laboral madre missing (cuest.alumnos+cuest.familia)"
