clear all
cap log close
set more off
*cd "X:\Dga_EI\AMicro\TRABAJO\FLIT_evaluacion_2014-2015\2020_version\"
cd "F:\BdE_11032020\FLIT_evaluacion_2014-2015\2020_version\"

log using "Logfiles\Table7.log", replace

*****************
**** Table 7 ****
*****************

use "Datafiles\Students", clear

/*keep if march_Asistencia==1 
keep if december_Asistencia==1
keep if curso==3 */

** Variables **

foreach x in paga_tcasa_0 paga_ntcasa_0 trab_ocas_0 paga_negociof_0 paga_fam_0 venta_internet_0 labor_income_0 {
replace `x'=0 if `x'_mis==1 
}

label variable treated 		"Treated"

* TABLE 7: The effect of the financial literacy program on sources of income 

global dec_income paga_tcasa_0 paga_ntcasa_0 trab_ocas_0 paga_negociof_0 venta_internet_0 paga_tcasa_0_mis 

** Summary 
summ trab_ocas_1 venta_internet_1 paga_tcasa_1 paga_negociof_1 labor_income_1 if balanced_sample==1&curso==3 // Total
summ trab_ocas_1 venta_internet_1 paga_tcasa_1 paga_negociof_1 labor_income_1 if treated==1&balanced_sample==1&curso==3 // Tratados
summ trab_ocas_1 venta_internet_1 paga_tcasa_1 paga_negociof_1 labor_income_1 if treated==0&balanced_sample==1&curso==3 // Controles

** Occasional jobs 
di "Occasional jobs: `x' (Balanced)"
reg trab_ocas_1 treated $dec_income stratum_c2-stratum_c16 if balanced_sample==1&curso==3, r cluster(COD_CENTRO)

** Sell things (internet, markets) 
di "Sell things (internet, markets): `x' (Balanced)"
reg venta_internet_1 treated $dec_income stratum_c2-stratum_c16 if balanced_sample==1&curso==3, r cluster(COD_CENTRO)

** Money for tasks at home 
di "Money for tasks at home: `x' (Balanced)"
reg paga_tcasa_1 treated $dec_income stratum_c2-stratum_c16 if balanced_sample==1&curso==3, r cluster(COD_CENTRO)

** Work in family business 
di "Work in family business: `x' (Balanced)"
reg paga_negociof_1 treated $dec_income stratum_c2-stratum_c16 if balanced_sample==1&curso==3, r cluster(COD_CENTRO)

** Any source of labor income (Combining stuff= vendiendo cosas por internet)+(trabajos ocasionales)+(paga por tareas en casa)+(pagas por tareas fuera del hogar))
di "Any source of labor income: `x' (Balanced)"
reg labor_income_1 treated labor_income_0 labor_income_0_mis stratum_c2-stratum_c16 if balanced_sample==1&curso==3, robust cluster(COD_CENTRO)


* Export tex
eststo clear
eststo:reg trab_ocas_1 treated $dec_income stratum_c2-stratum_c16 if balanced_sample==1&curso==3, r cluster(COD_CENTRO)
estadd ysumm
eststo:reg venta_internet_1 treated $dec_income stratum_c2-stratum_c16 if balanced_sample==1&curso==3, r cluster(COD_CENTRO)
estadd ysumm
eststo:reg paga_tcasa_1 treated $dec_income stratum_c2-stratum_c16 if balanced_sample==1&curso==3, r cluster(COD_CENTRO)
estadd ysumm
eststo:reg paga_negociof_1 treated $dec_income stratum_c2-stratum_c16 if balanced_sample==1&curso==3, r cluster(COD_CENTRO)
estadd ysumm
eststo:reg labor_income_1 treated labor_income_0 labor_income_0_mis stratum_c2-stratum_c16 if balanced_sample==1&curso==3, r cluster(COD_CENTRO)
estadd ysumm
esttab using "Tables\Table7.tex", b(3) se(3) ar2(3) stats(ymean N r2_a, fmt(%9.2f %9.0g %9.2f)  labels ("Mean dependent variable" "Number of students (schools)" "Adjusted R-Squared")) /*
*/ star(* 0.1 ** 0.05 *** 0.01) label title(The effect of the financial literacy program on sources of income/*\label{Table 7}*/) /*
*/ nonumbers mtitles("\shortstack{Occasional\\jobs}" "\shortstack{Sell things\\(internet, markets)}" "\shortstack{Money for\\tasks at home}" "\shortstack{Work in family\\business}" "\shortstack{Any source of\\labor income}") /*
*/ keep(treated) /*addnote("Notes: All models estimated by OLS, including stratification dummies and lagged values of the dependent variable as of December 2014. Standard errors (S.E) are clustered at the school level (77 schools).")*/ replace 


cap log close
