clear all
cap log close
set more off
*cd "X:\Dga_EI\AMicro\TRABAJO\FLIT_evaluacion_2014-2015\2020_version\"
cd "F:\BdE_11032020\FLIT_evaluacion_2014-2015\2020_version\"

log using "Logfiles\Table8.log", replace

*****************
**** Table 8 ****
*****************

use "Datafiles\Students", clear

keep if madrid2==1
keep if june_balanced_sample==1

bys COD_CENTRO: gen nalumnos=_n
count if nalumnos==1
count

** Variables **

* Hypothetical saving choices

** H1 (100 today, 120 in three weeks) 
set seed 999
gen u = uniform()

replace dec100_120=0 if december_CA_P11A==3 & u>=0.5
replace dec100_120=1 if december_CA_P11A==3 & u<0.5
label define dec100_120 1 "100 euros today" 0 "120 in three weeks", replace

replace dec100_120_mis=0 if december_CA_P11A==3		//now, dec100_120_mis=1 only when december_CA_P11A==.
replace dec100_120=0 if dec100_120_mis==1

label define mar100_120 1 "100 euros today" 0 "120 in three weeks", replace

** H2 (100 today, 120 in six weeks) (March)
label define mar100_120_2 1 "100 euros today" 0 "120 in six weeks", replace

** H3 (100 today, 150 in three weeks) 
replace dec100_150=0 if december_CA_P11B==3 & u>=0.5
replace dec100_150=1 if december_CA_P11B==3 & u<0.5
label define dec100_150 1 "100 euros today" 0 "150 in three weeks", replace

replace dec100_150_mis=0 if december_CA_P11B==3		//now, dec100_150_mis=1 only when december_CA_P11B==.
replace dec100_150=0 if dec100_150_mis==1

label define mar100_150 1 "100 euros today" 0 "150 in three weeks", replace

** H4 (100 today, 180 in three weeks) 
replace dec100_180=0 if december_CA_P11C==3 & u>=0.5
replace dec100_180=1 if december_CA_P11C==3 & u<0.5
label define dec100_180 1 "100 euros today" 0 "180 in three weeks", replace

replace dec100_180_mis=0 if december_CA_P11C==3		//now, dec100_180_mis=1 only when december_CA_P11C==.
replace dec100_180=0 if dec100_180_mis==1

label define mar100_180 1 "100 euros today" 0 "180 in three weeks", replace

* Inconsistent choices
gen 	dC0dRpos2 =0
replace dC0dRpos2 =1 if (juego1<juego2)
gen 	dC0dRpos3 =0
replace dC0dRpos3 =1 if (juego2<juego3) | (juego1<juego3)
gen 	dC0dRpos5 =0
replace dC0dRpos5 =1 if (juego4<juego5)
gen 	dC0dRpos6 =0
replace dC0dRpos6 =1 if (juego5<juego6) | (juego4<juego6)
gen 	dC0dRpos8 =0
replace dC0dRpos8 =1 if (juego7<juego8)
gen 	dC0dRpos9 =0
replace dC0dRpos9 =1 if (juego8<juego9) | (juego7<juego9)

gen 	dC0dRposE2 =0
replace dC0dRposE2 =1 if dC0dRpos2==1 
gen 	dC0dRposE3 =0
replace dC0dRposE3 =1 if dC0dRpos3==1
gen 	dC0dRposE5 =0
replace dC0dRposE5 =1 if dC0dRpos3==1|(juego5<juego2)
gen 	dC0dRposE6 =0
replace dC0dRposE6 =1 if dC0dRpos6==1|(juego6<juego3)
gen 	dC0dRposE8 =0
replace dC0dRposE8 =1 if dC0dRpos8==1
gen 	dC0dRposE9 =0
replace dC0dRposE9 =1 if dC0dRpos9==1

* Vertical form (Each observation is one student-game)
reshape long J dC0dRpos dC0dRposE, i(idestu) j(game)

* Experiments involving current expenditure
gen		immed=0
replace immed=1 if game==2|game==3|game==5|game==6

* Interest rate
gen		R=0
replace R=1 if game==2 | game==5 | game==8
replace R=2 if game==3 | game==6 | game==9

* Delay
gen		delay=1 if game ==2 | game== 3 | game==8 | game==9
replace delay=2 if game ==5 | game==6
gen 	delay_R=R*delay

* Treatment variables
gen	treatment=(curso==3)
gen	Janschool=(treated==1)	

gen Jtreat=Janschool*treatment
gen Jtreat_imme  = immed*Jtreat
gen Jtreat_delay = delay*Jtreat
gen Jtreat_R	 = R*Jtreat

gen Atreat=(1-Janschool)*treatment
gen Atreat_imme  = immed*Atreat
gen Atreat_delay = delay*Atreat
gen Atreat_R	 = R*Atreat

gen Otreat=treatment
gen Otreat_imme  = immed*Otreat
gen Otreat_delay = delay*Otreat
gen Otreat_R	 = R*Otreat

egen cluster_cole=group(COD_CENTRO curso)

* EUR allocated to earlier date
gen		euro_soon=juego2 if game==2
replace euro_soon=juego3 if game==3
replace euro_soon=juego5 if game==5
replace euro_soon=juego6 if game==6
replace euro_soon=juego8 if game==8
replace euro_soon=juego9 if game==9

gen		game2=0
replace game2=1 if game==2

gen		game3=0
replace game3=1 if game==3

gen		game5=0
replace game5=1 if game==5

gen		game6=0
replace game6=1 if game==6

gen		game8=0
replace game8=1 if game==8

gen		game9=0
replace game9=1 if game==9

drop if game==1|game==4|game==7

label variable treated 		"Treated"
label variable immed 		"Immediate payment"
label variable R 			"Interest rate"
label variable delay		"Delay"
label variable dec100_120 	"Prefers 100 euro today to 120 in 3 weeks (Dec)"
label variable dec100_150 	"Prefers 100 euro today to 150 in 3 weeks (Dec)"
label variable dec100_180 	"Prefers 100 euro today to 180 in 3 weeks (Dec)"

global dec_hypothetical dec100_120 dec100_120_mis dec100_150 dec100_180 
global stratum stratum_c2 stratum_c3 stratum_c7

** EUR allocated to earlier date 

**  Treated in Jan-March 2015: Lagged choices
reg euro_soon Jtreat immed R delay $dec_hypothetical $stratum if (Jtreat==1|curso==4) & /*
*/ (game==2|game==3|game==5|game==6|game==8|game==9), r cluster(cluster_cole)

** Treated in April-June 2015: Controlling for interest rates, maturities
reg euro_soon Atreat immed R delay $dec_hypothetical $stratum if (Jtreat==0|curso==4), r cluster(cluster_cole)

** All: Controlling for earlier choices
reg euro_soon Otreat immed R delay $dec_hypothetical $stratum, r cluster(cluster_cole)


** Inconsistent choices 

** Treated in Jan-March 2015:
reg dC0dRpos Jtreat immed R delay $stratum if (Jtreat==1|curso==4), r cluster(cluster_cole)

** Treated in April-June 2015
reg dC0dRpos Atreat immed R delay $stratum if (Jtreat==0|curso==4), r cluster(cluster_cole)


** EUR allocated to earlier date, consistent choices 

** Treated in Jan-March 2015: Lagged choices
reg euro_soon Jtreat immed R delay $dec_hypothetical $stratum if (Jtreat==1|curso==4) & dC0dRpos==0, r cluster(cluster_cole)

** Treated in April-June 2015
reg euro_soon Atreat immed R delay $dec_hypothetical $stratum if (Jtreat==0|curso==4) & dC0dRpos==0, r cluster(cluster_cole)

** All
reg euro_soon Otreat immed R delay $dec_hypothetical $stratum if dC0dRpos==0, r cluster(cluster_cole)


* Export tex
eststo clear
rename treated Treated
gen treated_orig=Treated
gen Jtreat_orig=Jtreat
drop Treated
rename Jtreat Treated
eststo:reg euro_soon Treated immed R delay $dec_hypothetical $stratum if (Jtreat_orig==1|curso==4) & (game==2|game==3|game==5|game==6|game==8|game==9),r cluster(cluster_cole)
estadd ysumm
rename Treated Jtreat
rename Atreat Treated
eststo:reg euro_soon Treated immed R delay $dec_hypothetical $stratum if (Jtreat_orig==0|curso==4),r cluster(cluster_cole)
estadd ysumm
rename Treated Atreat
rename Otreat Treated
eststo:reg euro_soon Treated immed R delay $dec_hypothetical $stratum ,r cluster(cluster_cole)
estadd ysumm
rename Treated Otreat
rename Jtreat Treated
eststo:reg dC0dRpos Treated immed R delay $stratum if (Jtreat_orig==1|curso==4) ,r cluster(cluster_cole)
estadd ysumm
rename Treated Jtreat
rename Atreat Treated
eststo:reg dC0dRpos Treated immed R delay $stratum if (Jtreat_orig==0|curso==4) ,r cluster(cluster_cole)
estadd ysumm
rename Treated Atreat
rename Jtreat Treated
eststo:reg euro_soon Treated immed R delay $dec_hypothetical $stratum if (Jtreat_orig==1|curso==4) & dC0dRpos==0,r cluster(cluster_cole)
estadd ysumm
rename Treated Jtreat
rename Atreat Treated
eststo:reg euro_soon Treated immed R delay $dec_hypothetical $stratum if (Jtreat_orig==0|curso==4) & dC0dRpos==0,r cluster(cluster_cole)
estadd ysumm
rename Treated Atreat
rename Otreat Treated
eststo:reg euro_soon Treated immed R delay $dec_hypothetical $stratum if dC0dRpos==0,r cluster(cluster_cole)
estadd ysumm
rename Treated Otreat
rename treated_orig treated
esttab using "Tables\Table8.tex", b(3) se(3) ar2(3) stats(ysd N r2_a, fmt(%9.2f %9.0g %9.2f)  labels ("SD dep. var." "Sample size" "Adjusted R-Squared")) /*
*/star(* 0.1 ** 0.05 *** 0.01) label title(Results from an incentivized saving task (Convex Time Budget Task)/*\label{Table 8}*/) /*
*/ mgroups("EUR allocated to earlier date" "Inconsistent choices" "\shortstack{EUR allocated to earlier date,\\consistent choices}" , pattern(1 0 0 1 0 1 0 0) prefix(\multicolumn{@span}{c}{) suffix(}) span) /*
*/ alignment(D{.}{.}{-1}) nonumbers mtitles("Jan.-March" "April-June" "All" "Jan.-March" "April-June" "Jan.-March" "April-June" "All") /*
*/ keep(Treated immed R delay dec100_120 dec100_150 dec100_180) /*addnote("Notes: Sample of 996 students from 20 schools in Madrid doing the incentivized saving task in June
2015 and present in the test of December 2014. Controls are always 10th graders. OLS regressions using
as the dependent variable the number of euros (EUR) allocated to the earlier date (columns 1, 2, 5 and 6)
and an indicator of choice inconsistent with revealed preference (if euros allocated to earlier date increase
when interest rate increases). Stratification dummies included. Standard errors (S.E) are clustered at the
school level. *** p-value < 0.01, ** p-value < 0.05, * p-value < 0.1.")*/ replace 


cap log close
