clear all
cap log close
set more off
*cd "X:\Dga_EI\AMicro\TRABAJO\FLIT_evaluacion_2014-2015\2020_version\"
cd "F:\BdE_11032020\FLIT_evaluacion_2014-2015\2020_version\"

log using "Logfiles\Table8_MHT.log", replace

**********************
**** MHT: Table 8 ****
**********************

use "Datafiles\Students", clear

keep if madrid2==1
keep if june_balanced_sample==1

bys COD_CENTRO: gen nalumnos=_n
count if nalumnos==1
count

** Variables **

* Hypothetical saving choices

** H1 (100 today, 120 in three weeks) 
set seed 999
gen u = uniform()

replace dec100_120=0 if december_CA_P11A==3 & u>=0.5
replace dec100_120=1 if december_CA_P11A==3 & u<0.5
label define dec100_120 1 "100 euros today" 0 "120 in three weeks", replace

replace dec100_120_mis=0 if december_CA_P11A==3		//now, dec100_120_mis=1 only when december_CA_P11A==.
replace dec100_120=0 if dec100_120_mis==1

label define mar100_120 1 "100 euros today" 0 "120 in three weeks", replace

** H2 (100 today, 120 in six weeks) (March)
label define mar100_120_2 1 "100 euros today" 0 "120 in six weeks", replace

** H3 (100 today, 150 in three weeks) 
replace dec100_150=0 if december_CA_P11B==3 & u>=0.5
replace dec100_150=1 if december_CA_P11B==3 & u<0.5
label define dec100_150 1 "100 euros today" 0 "150 in three weeks", replace

replace dec100_150_mis=0 if december_CA_P11B==3		//now, dec100_150_mis=1 only when december_CA_P11B==.
replace dec100_150=0 if dec100_150_mis==1

label define mar100_150 1 "100 euros today" 0 "150 in three weeks", replace

** H4 (100 today, 180 in three weeks) 
replace dec100_180=0 if december_CA_P11C==3 & u>=0.5
replace dec100_180=1 if december_CA_P11C==3 & u<0.5
label define dec100_180 1 "100 euros today" 0 "180 in three weeks", replace

replace dec100_180_mis=0 if december_CA_P11C==3		//now, dec100_180_mis=1 only when december_CA_P11C==.
replace dec100_180=0 if dec100_180_mis==1

label define mar100_180 1 "100 euros today" 0 "180 in three weeks", replace

* Inconsistent choices
gen 	dC0dRpos2 =0
replace dC0dRpos2 =1 if (juego1<juego2)
gen 	dC0dRpos3 =0
replace dC0dRpos3 =1 if (juego2<juego3) | (juego1<juego3)
gen 	dC0dRpos5 =0
replace dC0dRpos5 =1 if (juego4<juego5)
gen 	dC0dRpos6 =0
replace dC0dRpos6 =1 if (juego5<juego6) | (juego4<juego6)
gen 	dC0dRpos8 =0
replace dC0dRpos8 =1 if (juego7<juego8)
gen 	dC0dRpos9 =0
replace dC0dRpos9 =1 if (juego8<juego9) | (juego7<juego9)

gen 	dC0dRposE2 =0
replace dC0dRposE2 =1 if dC0dRpos2==1 
gen 	dC0dRposE3 =0
replace dC0dRposE3 =1 if dC0dRpos3==1
gen 	dC0dRposE5 =0
replace dC0dRposE5 =1 if dC0dRpos3==1|(juego5<juego2)
gen 	dC0dRposE6 =0
replace dC0dRposE6 =1 if dC0dRpos6==1|(juego6<juego3)
gen 	dC0dRposE8 =0
replace dC0dRposE8 =1 if dC0dRpos8==1
gen 	dC0dRposE9 =0
replace dC0dRposE9 =1 if dC0dRpos9==1

* Vertical form (Each observation is one student-game)
reshape long J dC0dRpos dC0dRposE, i(idestu) j(game)

* Experiments involving current expenditure
gen		immed=0
replace immed=1 if game==2|game==3|game==5|game==6

* Interest rate
gen		R=0
replace R=1 if game==2 | game==5 | game==8
replace R=2 if game==3 | game==6 | game==9

* Delay
gen		delay=1 if game ==2 | game== 3 | game==8 | game==9
replace delay=2 if game ==5 | game==6
gen 	delay_R=R*delay

* Treatment variables
gen	treatment=(curso==3)
gen	Janschool=(treated==1)	

gen Jtreat=Janschool*treatment
gen Jtreat_imme  = immed*Jtreat
gen Jtreat_delay = delay*Jtreat
gen Jtreat_R	 = R*Jtreat

gen Atreat=(1-Janschool)*treatment
gen Atreat_imme  = immed*Atreat
gen Atreat_delay = delay*Atreat
gen Atreat_R	 = R*Atreat

gen Otreat=treatment
gen Otreat_imme  = immed*Otreat
gen Otreat_delay = delay*Otreat
gen Otreat_R	 = R*Otreat

egen cluster_cole=group(COD_CENTRO curso)

* EUR allocated to earlier date
gen		euro_soon=juego2 if game==2
replace euro_soon=juego3 if game==3
replace euro_soon=juego5 if game==5
replace euro_soon=juego6 if game==6
replace euro_soon=juego8 if game==8
replace euro_soon=juego9 if game==9

gen		game2=0
replace game2=1 if game==2

gen		game3=0
replace game3=1 if game==3

gen		game5=0
replace game5=1 if game==5

gen		game6=0
replace game6=1 if game==6

gen		game8=0
replace game8=1 if game==8

gen		game9=0
replace game9=1 if game==9

drop if game==1|game==4|game==7

label variable treated 		"Treated"
label variable immed 		"Immediate payment"
label variable R 			"Interest rate"
label variable delay		"Delay"
label variable dec100_120 	"Prefers 100 euro today to 120 in 3 weeks (Dec)"
label variable dec100_150 	"Prefers 100 euro today to 150 in 3 weeks (Dec)"
label variable dec100_180 	"Prefers 100 euro today to 180 in 3 weeks (Dec)"


local dep "euro_soon dC0dRpos"
local exog "immed R delay"
local strata "stratum_c2 stratum_c3 stratum_c7"

preserve

keep `dep' `exog' `strata' Jtreat Atreat Otreat dec100_120 dec100_120_mis dec100_150 dec100_180 curso cluster_cole dC0dRpos game idestu COD_CENTRO 
		
label var euro_soon "EUR allocated to earlier date"
label var dC0dRpos "Inconsistent choices"
label var immed "Immediate payment"
label var R "Interest rate"
label var delay "Delay"
		
save "Datafiles\temp.dta", replace
		
restore	
	
global dep_glo "`dep'"
global exog_glo "`exog'"
global strata_glo "`strata_new'"

************ 0. Original Regression Table 8 ***************

*********************** EUR allocated to earlier date **************************

**  Treated in Jan-March 2015: Lagged choices
reg euro_soon Jtreat immed R delay dec100_120 dec100_120_mis dec100_150 dec100_180 stratum_c2 stratum_c3 stratum_c7 if (Jtreat==1|curso==4) & /*
*/ (game==2|game==3|game==5|game==6|game==8|game==9), r cluster(cluster_cole)

** Treated in April-June 2015: Controlling for interest rates, maturities
reg euro_soon Atreat immed R delay dec100_120 dec100_120_mis dec100_150 dec100_180 stratum_c2 stratum_c3 stratum_c7 if (Jtreat==0|curso==4), r cluster(cluster_cole)

** All: Controlling for earlier choices
reg euro_soon Otreat immed R delay dec100_120 dec100_120_mis dec100_150 dec100_180 stratum_c2 stratum_c3 stratum_c7, r cluster(cluster_cole)


************************** Inconsistent choices ********************************

** Treated in Jan-March 2015:
reg dC0dRpos Jtreat immed R delay stratum_c2 stratum_c3 stratum_c7 if (Jtreat==1|curso==4), r cluster(cluster_cole)

** Treated in April-June 2015
reg dC0dRpos Atreat immed R delay stratum_c2 stratum_c3 stratum_c7 if (Jtreat==0|curso==4), r cluster(cluster_cole)


***************** EUR allocated to earlier date, consistent choices *************

** Treated in Jan-March 2015: Lagged choices
reg euro_soon Jtreat immed R delay dec100_120 dec100_120_mis dec100_150 dec100_180 stratum_c2 stratum_c3 stratum_c7 if (Jtreat==1|curso==4) & dC0dRpos==0, r cluster(cluster_cole)

** Treated in April-June 2015
reg euro_soon Atreat immed R delay dec100_120 dec100_120_mis dec100_150 dec100_180 stratum_c2 stratum_c3 stratum_c7 if (Jtreat==0|curso==4) & dC0dRpos==0, r cluster(cluster_cole)

** All
reg euro_soon Otreat immed R delay dec100_120 dec100_120_mis dec100_150 dec100_180 stratum_c2 stratum_c3 stratum_c7  if dC0dRpos==0, r cluster(cluster_cole)


************** 1. Original Tests *****************

// Number of replications
	
	local B = 1

// Starting replication
		
	local I = 1

	
while `I' <= `B' {
	
	di as error "`I'"
		
	qui {

		// Open dataset
		
		use "Datafiles\temp.dta", clear
		
		// Define locals
		
		local dep_var "$dep_glo"
		local exog "$exog_glo"
		local strata "$strata_glo"
		
		// Run ORIGINAL estimates	
									
		qui {
		
			*xtset ind_id time2	
			
			/*local count = 1

			foreach x in `dep_var' {
									
					
			
						reg `x' `exog' `strata_new', robust cluster(COD_CENTRO)
								
						gen b_or_`count'_ = _b[treated]
						gen se_or_`count'_ = _se[treated]
						local l`x' : variable label `x'
						label var b_or_`count'_ "`l`x'_treated"
						local count = `count' + 1
								
						
			}	*/	

		*********************** EUR allocated to earlier date **************************
		
		**  Treated in Jan-March 2015: Lagged choices
		reg euro_soon Jtreat immed R delay dec100_120 dec100_120_mis dec100_150 dec100_180 stratum_c2 stratum_c3 stratum_c7 if (Jtreat==1|curso==4) & /*
		*/ (game==2|game==3|game==5|game==6|game==8|game==9), r cluster(cluster_cole)
		gen b_or_1_ = _b[Jtreat]
		gen se_or_1_ = _se[Jtreat]
		local leuro_soon : variable label euro_soon
		label var b_or_1_ "`leuro_soon_1_treated"
		
		** Treated in April-June 2015: Controlling for interest rates, maturities
		reg euro_soon Atreat immed R delay dec100_120 dec100_120_mis dec100_150 dec100_180 stratum_c2 stratum_c3 stratum_c7 if (Jtreat==0|curso==4), r cluster(cluster_cole)
		gen b_or_2_ = _b[Atreat]
		gen se_or_2_ = _se[Atreat]
		local leuro_soon : variable label euro_soon
		label var b_or_2_ "`leuro_soon_2_treated"
		
		** All: Controlling for earlier choices
		reg euro_soon Otreat immed R delay dec100_120 dec100_120_mis dec100_150 dec100_180 stratum_c2 stratum_c3 stratum_c7, r cluster(cluster_cole)
		gen b_or_3_ = _b[Otreat]
		gen se_or_3_ = _se[Otreat]
		local leuro_soon : variable label euro_soon
		label var b_or_3_ "`leuro_soon_3_treated"
		
		************************** Inconsistent choices ********************************
		** Treated in Jan-March 2015:
		reg dC0dRpos Jtreat immed R delay stratum_c2 stratum_c3 stratum_c7 if (Jtreat==1|curso==4) , r cluster(cluster_cole)
		gen b_or_4_ = _b[Jtreat]
		gen se_or_4_ = _se[Jtreat]
		local ldC0dRpos : variable label dC0dRpos
		label var b_or_4_ "`ldC0dRpos_4_treated"
		
		
		** Treated in April-June 2015
		reg dC0dRpos Atreat immed R delay stratum_c2 stratum_c3 stratum_c7 if (Jtreat==0|curso==4) , r cluster(cluster_cole)
		gen b_or_5_ = _b[Atreat]
		gen se_or_5_ = _se[Atreat]
		local ldC0dRpos : variable label dC0dRpos
		label var b_or_5_ "`ldC0dRpos_5_treated"
		
		
		***************** EUR allocated to earlier date, consistent choices *************

		** Treated in Jan-March 2015: Lagged choices
		reg euro_soon Jtreat immed R delay dec100_120 dec100_120_mis dec100_150 dec100_180 stratum_c2 stratum_c3 stratum_c7 if (Jtreat==1|curso==4) & dC0dRpos==0, r cluster(cluster_cole)
		gen b_or_6_ = _b[Jtreat]
		gen se_or_6_ = _se[Jtreat]
		local leuro_soon : variable label euro_soon
		label var b_or_6_ "`leuro_soon_6_treated"
		
		** Treated in April-June 2015
		reg euro_soon Atreat immed R delay dec100_120 dec100_120_mis dec100_150 dec100_180 stratum_c2 stratum_c3 stratum_c7 if (Jtreat==0|curso==4) & dC0dRpos==0, r cluster(cluster_cole)
		gen b_or_7_ = _b[Atreat]
		gen se_or_7_ = _se[Atreat]
		local leuro_soon : variable label euro_soon
		label var b_or_7_ "`leuro_soon_7_treated"
		
		** All
		reg euro_soon Otreat immed R delay dec100_120 dec100_120_mis dec100_150 dec100_180 stratum_c2 stratum_c3 stratum_c7  if dC0dRpos==0, r cluster(cluster_cole)
		gen b_or_8_ = _b[Otreat]
		gen se_or_8_ = _se[Otreat]
		local leuro_soon : variable label euro_soon
		label var b_or_8_ "`leuro_soon_8_treated"
		
		
		}
									
	}
	
	// Copy variable labels
		
	foreach v of var * {		
		local lab`v' : variable label `v'								
	}
	
	// Generate dataset of estimates and standard errors
				
	collapse b_or_* se_or_*
	gen i = 1
			
	// Paste variable labels
					
	foreach v of var * { 
		label var `v' "`lab`v''" 				
	} 
	
	// Save dataset
	
	gen iter = `I'

	if `I' == 1 {	
		sort i
		save "Datafiles\Table8_or.dta", replace
	}
				
	local I= `I' + 1
		
} 	
	
	
********************* 2. Bootstrap **********************

 	set seed 13052019			// set seeds for replicability of results

	// Number of replications
	
	local B =  1000

	// Starting replication
		
	local I = 1
			
while `I' <= `B' {

	*sleep 500				// if code breaks down because replications occur too quickly set the sleep command to slow it down 
	
	di as error "`I'"
		
	qui {

		// Open dataset
			
		use "Datafiles\temp.dta", clear
		
		// Define locals
		
		local dep_var "$dep_glo"
		local exog "$exog_glo"
		local strata "$strata_glo"
						
		// Bootstrap resampling	(clustered)
			
		bsample , cl(COD_CENTRO)
					
		// Run BOOTSTRAP estimates	
		
		qui {
			
			// Create new id for individual (otherwise, due to resampling, I would have duplicate observations in the panel)
			
			bys idestu : gen ord = _n
			egen idestu_bs = group(idestu ord)
			
			*duplicates report ind_id_bs time
			*tab time

							
			/*local count = 1

			foreach x in `dep_var' {
											
									
				
						reg `x' `exog' `strata_new', robust cluster(COD_CENTRO)		
						gen b_`count'_ = _b[treated]
						gen se_`count'_ = _se[treated]
						local l`x' : variable label `x'
						label var b_`count'_ "`l`x'treated"
						local count = `count' + 1
								
				
					
			}	*/
		
		*********************** EUR allocated to earlier date **************************
		
		**  Treated in Jan-March 2015: Lagged choices
		reg euro_soon Jtreat immed R delay dec100_120 dec100_120_mis dec100_150 dec100_180 stratum_c2 stratum_c3 stratum_c7 if (Jtreat==1|curso==4) & /*
		*/ (game==2|game==3|game==5|game==6|game==8|game==9), r cluster(cluster_cole)
		gen b_1_ = _b[Jtreat]
		gen se_1_ = _se[Jtreat]
		local leuro_soon : variable label euro_soon
		label var b_1_ "`leuro_soon_1_treated"
		
		** Treated in April-June 2015: Controlling for interest rates, maturities
		reg euro_soon Atreat immed R delay dec100_120 dec100_120_mis dec100_150 dec100_180 stratum_c2 stratum_c3 stratum_c7 if (Jtreat==0|curso==4), r cluster(cluster_cole)
		gen b_2_ = _b[Atreat]
		gen se_2_ = _se[Atreat]
		local leuro_soon : variable label euro_soon
		label var b_2_ "`leuro_soon__2_treated"
		
		** All: Controlling for earlier choices
		reg euro_soon Otreat immed R delay dec100_120 dec100_120_mis dec100_150 dec100_180 stratum_c2 stratum_c3 stratum_c7, r cluster(cluster_cole)
		gen b_3_ = _b[Otreat]
		gen se_3_ = _se[Otreat]
		local leuro_soon : variable label euro_soon
		label var b_3_ "`leuro_soon_3_treated"
		
		
		************************** Inconsistent choices ********************************
		** Treated in Jan-March 2015:
		reg dC0dRpos Jtreat immed R delay stratum_c2 stratum_c3 stratum_c7 if (Jtreat==1|curso==4), r cluster(cluster_cole)
		gen b_4_ = _b[Jtreat]
		gen se_4_ = _se[Jtreat]
		local ldC0dRpos : variable label dC0dRpos
		label var b_4_ "`ldC0dRpos_4_treated"
		
		
		** Treated in April-June 2015
		reg dC0dRpos Atreat immed R delay stratum_c2 stratum_c3 stratum_c7 if (Jtreat==0|curso==4), r cluster(cluster_cole)
		gen b_5_ = _b[Atreat]
		gen se_5_ = _se[Atreat]
		local ldC0dRpos : variable label dC0dRpos
		label var b_5_ "`ldC0dRpos_5_treated"
		
		
		***************** EUR allocated to earlier date, consistent choices *************

		** Treated in Jan-March 2015: Lagged choices
		reg euro_soon Jtreat immed R delay dec100_120 dec100_120_mis dec100_150 dec100_180 stratum_c2 stratum_c3 stratum_c7 if (Jtreat==1|curso==4) & dC0dRpos==0, r cluster(cluster_cole)
		gen b_6_ = _b[Jtreat]
		gen se_6_ = _se[Jtreat]
		local leuro_soon : variable label euro_soon
		label var b_6_ "`leuro_soon_6_treated"
		
		** Treated in April-June 2015
		reg euro_soon Atreat immed R delay dec100_120 dec100_120_mis dec100_150 dec100_180 stratum_c2 stratum_c3 stratum_c7 if (Jtreat==0|curso==4) & dC0dRpos==0, r cluster(cluster_cole)
		gen b_7_ = _b[Atreat]
		gen se_7_ = _se[Atreat]
		local leuro_soon : variable label euro_soon
		label var b_7_ "`leuro_soon_7_treated"
		
		** All
		reg euro_soon Otreat immed R delay dec100_120 dec100_120_mis dec100_150 dec100_180 stratum_c2 stratum_c3 stratum_c7  if dC0dRpos==0, r cluster(cluster_cole)
		gen b_8_ = _b[Otreat]
		gen se_8_ = _se[Otreat]
		local leuro_soon : variable label euro_soon
		label var b_8_ "`leuro_soon_8_treated"
		
		
		
		}
				
	}
		
	// Copy variable labels
		
	foreach v of var * {		
		local lab`v' : variable label `v'							
	}
		
	// Generate dataset of estimates and standard errors
				
	collapse b_* se_*
	gen i = 1
	
	// Paste variable labels
					
	foreach v of var * { 
		label var `v' "`lab`v''" 				
	} 
				
	// Save dataset

	gen iter = `I'
				
	if `I' == 1 {				
		save "Datafiles\Table8_bs.dta", replace			
	}

	if `I' > 1 {			
		append using "Datafiles\Table8_bs.dta"
		save "Datafiles\Table8_bs.dta", replace				
	}	
					
	local I = `I' + 1
		
} 	
	
 
 
* preserve
	
use "Datafiles\Table8_bs.dta", clear
		
forvalues i=1(1)8 {
	foreach x in se_`i'_ b_`i'_{
		sum `x', d
	}
}

sort i
merge i using "Datafiles\Table8_or.dta"	
 

********************* 3. Two-sided test ***********************
* Total number of hypothesis to test (in the 1st step) 
	
	local S = 0	
	local numlist ""
	
	foreach var of varlist b_or_* {	
		local S = `S' + 1
		local numlist "`numlist' `S'"			
	}	
	
* Generate t-statistics for regressions 
	
	foreach x of numlist `numlist' {	
		gen tstat_`x' 	 = abs(b_or_`x'_ / se_or_`x'_)
		gen tstat_bs_`x' = abs((b_`x'_ - b_or_`x'_) / se_`x'_)		// see remark 3.4 in Romano and Wolf (p. 1251)			
		/*Generate a dummy to count the number of times the test statistic of the bootstrap is greater or equal to 1.96 */
		gen dumtest_bs_`x'=(abs(tstat_bs_`x')>=1.96)
		gen dumtest_`x'=(abs(tstat_`x')>=1.96)
		}
	/*
	foreach x in dumtest_bs_1 dumtest_bs_2 dumtest_bs_3 dumtest_bs_4 dumtest_bs_5{
	sum `x'
	}
		
	foreach x in dumtest_1 dumtest_2 dumtest_3 dumtest_4 dumtest_5{
	sum `x'
	}*/
* Generate list of statistics to test and list of corresponding numerical indeces 
	
	foreach var of varlist tstat_bs_* {			
		local vl "`vl' `var'"			
	}	

	
*** MHT WITH DIFFERENT LEVELS OF CONFIDENCE

				
foreach A of numlist 90 95 99 {
			
	preserve
		
		local Z = `S'
		local NR = `S' 		/* Initial number of hypothesis to test*/
		local J = 1			/* J is an index for the iteration */
				
		local vl`J' `vl'
		local vl_num`J' `numlist'
					
		while `NR' > 0 { 
											
			qui {
								
				* Highest tstat by iteration (step 4.a - alg 2.4)
									
					egen maxm`J' = rowmax(`vl`J'')
														
				* Critical value as the Ath percentile of the max tstats distribution (step 4.b - alg 2.4 - (1-a) = A%)
	
					egen d_hat`J' = pctile(maxm`J'), p(`A')			/* TRY LOW PERCENTILE TO HAVE REJ */
			
				* Reject S if tsat > critical value (step 3 - alg 4.1)
							
					foreach x in `vl_num`J'' {
		
						gen rej`J'_`x' = (abs(tstat_`x') > d_hat`J')
						local answer = rej`J'_`x'

					}

			}
			
			*qui log using "Schooling_Paper/Analysis/Estimates/IV_FE/Robustness/Romano_Wolf/MHT_twosided_$title$.log", append
			
			di as error _n "Confidence level = `A'" _n "Iteration J = `J'"
					
			foreach x in `vl_num`J'' {
					
				local answer = rej`J'_`x'
				local lab: variable label b_`x'_
				dis "Coefficient `lab' `answer'" 	
						
			}	
			
			qui {
			
				// Total number of rejected hypothesis
						
					egen rejtot = rowtotal(rej`J'*)
					local NR = rejtot
					drop rejtot
					
			}		
		
			di "Total number of tested hypothesis `Z'"
			di "Total number of rejected hypothesis `NR'"
			
			di as text "------------------------------------------------------------"
			
			*qui log close
			
			local Z = `Z' - `NR'
				
			// Exclude rejected hypothesis from next steps of iteration (redefine lists of statistics to be tested)
					
				local K = `J' + 1
				local vl_num`K' ""
				local vl`K' ""
					
				foreach x in `vl_num`J'' {
														
					if rej`J'_`x' == 0 {
						
						local vl_num`K' "`vl_num`K'' `x'"
						local vl`K' "`vl`K'' tstat_bs_`x'"
						
					}	
						
				}

				local J = `J' + 1
				
		}
		
	save "Datafiles\Table8_twosided.dta", replace
	restore

}
 
  
 *restore


 
 
********** 4. ADJUSTED P-VALUES Two-sided test (ROMANO & WOLF, 2016) ***********

* Load Romano and Wolf dataset

	use "Datafiles\Table8_twosided.dta", clear

* Total number of hypothesis to test (in the 1st step) 
	
	local S = 0	
	local numlist ""
	
	foreach var of varlist b_or_* {	
		local S = `S' + 1
		local numlist "`numlist' `S'"			
	}		
	
	drop i _merge rej* maxm? d_hat*
	order iter, first
	order b_or_* se_or_* b_?_ /*b_??_*/ se_?_ /*se_??_*/, after(iter)
	order tstat_? /*tstat_??*/, after(se_`S'_)
	sort iter
		
* Order hypothesis from most to least significant (Section 3, RW, 2016)

	reshape long tstat_, i(iter) j(ord)

	gsort iter -tstat_
	bys iter : gen n = _n
	order n, after(iter)
	
	/*label drop nprog_2*/
	reshape wide tstat_ ord, i(iter) j(n)
			
	local i = 0
	foreach x of varlist ord? /*ord??*/ {
		local ++i
		qui sum `x'
		local k = r(mean)
		gen tstat_bs_r`i' = tstat_bs_`k'
		if `i' == 1 {
			order tstat_bs_r`i' tstat_bs_`k', after(se_`S')
		}
		else {
			order tstat_bs_r`i', after(tstat_bs_r`i0')
			order tstat_bs_`k', after(tstat_bs_`k0')
		}
		local i0 = `i'
		local k0 = `k'
	}	
	
* Compute maxima for test statistics (Section 3, RW, 2016)
	
	local i = 0	
	foreach x of varlist ord? /*ord??*/ {
		local ++i
		qui sum `x'	
		local k = r(mean)
		egen max`i' = rowmax(tstat_bs_r`i'-tstat_bs_r`S')
	}	

* Compute adjusted p-values (Section 4, RW, 2016)

	qui sum iter
	local M = r(max)

	forvalues i = 1 / `S' {
		qui sum ord`i'
		local s = r(mean)
		if `i' == 1 {
			egen padj_r`i' = total(max`i' >= tstat_`i')
			replace padj_r`i' = (padj_r`i' + 1) / (`M' + 1)
			gen padj_`s' = padj_r`i'
		}
		else {
			egen padj_r`i' = total(max`i' >= tstat_`i')
			replace padj_r`i' = (padj_r`i' + 1) / (`M' + 1)
			replace padj_r`i' = max(padj_r`i', padj_r`i0')
			gen padj_`s' = padj_r`i'		
			order padj_r`i', after(padj_r`i0')
		}
		local i0 = `i'
	}	
	
* Display results

*qui log using "Logfiles\MHT_adjpvalues_twosided_Table8.log", replace

	forvalues i = 1 / `S' {
		local lab: variable label b_`i'_
		qui sum padj_`i'
		local p = round(r(mean), .001)
		dis "Coefficient: `lab', adjusted p value = `p'" 	
						
	}		
	
	
*qui log close	


cap log close

