clear all
cap log close
set more off
*cd "X:\Dga_EI\AMicro\TRABAJO\FLIT_evaluacion_2014-2015\2020_version\"
cd "C:\Users\Usuario\Dropbox\JHR\2nd_revision\evaluation2015_ana\"

log using "C:\Users\Usuario\Dropbox\JHR\replication file\Tables\Table5.log", replace

*****************
**** Table 5 ****
*****************

use "Datafiles\Students", clear

** Variables **

drop labor_outside_1
gen 	labor_outside_1=0
replace labor_outside_1=1 if march_CA_C6C==1 | march_CA_C6F==1

foreach x in daily0 onceweek0 bonceweek0 nevertalk0 labor_income_0 labor_outside_0 labor_inside_0 daily1 onceweek1 bonceweek1 nevertalk1 labor_income_1 labor_outside_1 labor_inside_1 {
replace `x'=0 if `x'==.
}

gen treated_public=publico2*treated

label variable foreign 			"Foreign born"
label variable repetidores 		"Older than normal progression"
label variable autonomop 		"Father is self-employed"
label variable trabajaempp 		"Father works as an employee"
*label variable notrabajap 		"Father does not work"
*label variable E_drop16 		"Expects to leave at 16"
label variable E_drop18 		"Expects to finish at most HS academic track"
*label variable E_drop20 		"Expects to finish at most HS vocational training"
*label variable E_drop22 		"Expects to finish college"

label variable treated 			"Treated"
label variable freq_cont1		"Talks to parents about economics"
label variable labor_inside_1 	"Money from chores at home/family business	"
label variable labor_outside_1 	"Money from occasional jobs outside home"
label variable labor_income_1 	"Any source of income"

* Normalized score by "curso"

sum pretest
replace pretest=pretest/10		//pasar las notas a fracción
sum pretest
sum postest
replace postest=postest/10
sum postest
sum june_postest
replace june_postest=june_postest/10
sum june_postest

forvalues i=3(1)4{
sum pretest		if curso==`i'	//december
gen a=r(mean)	if curso==`i'
gen b=r(sd)		if curso==`i'
gen norm_pretest_`i'eso=(pretest-a)/b if pretest!=.&curso==`i'
replace norm_pretest_`i'eso=0 if pretest==.
drop a b
}

gen 	norm_pretest=0
replace norm_pretest=norm_pretest_3eso	if curso==3
replace norm_pretest=norm_pretest_4eso	if curso==4

gen norm_pretestmis=(pretest==.)
replace pretest=0 if norm_pretestmis==1

/*
sum pretest			//december
gen a=r(mean)
gen b=r(sd)
gen norm_pretest=(pretest-a)/b if pretest!=.
replace norm_pretest=0 if pretest==.
drop a b */

forvalues i=3(1)4{
sum postest		if curso==`i'	//march
gen a=r(mean)	if curso==`i'
gen b=r(sd)		if curso==`i'
gen norm_postest_`i'eso=(postest-a)/b if postest!=.&curso==`i'
drop a b
}

gen 	norm_postest=0	if postest!=.
replace norm_postest=norm_postest_3eso	if postest!=.&curso==3
replace norm_postest=norm_postest_4eso	if postest!=.&curso==4

/*
sum postest			//march
gen a=r(mean)
gen b=r(sd)
gen norm_postest=(postest-a)/b
drop a b */

forvalues i=3(1)4{
sum june_postest		if curso==`i'	//june
gen a=r(mean)	if curso==`i'
gen b=r(sd)		if curso==`i'
gen norm_june_postest_`i'eso=(june_postest-a)/b if june_postest!=.&curso==`i'
drop a b
}

gen 	norm_june_postest=0 if june_postest!=.
replace norm_june_postest=norm_june_postest_3eso	if june_postest!=.&curso==3
replace norm_june_postest=norm_june_postest_4eso	if june_postest!=.&curso==4

/*
sum june_postest	//june
gen a=r(mean)
gen b=r(sd)
gen norm_june_postest=(june_postest-a)/b
drop a b */

label variable norm_postest	"Standardized test score"

* Hypothetical saving choices
* New
gen mar100_120_2=0 if march_CA_C12==2
replace mar100_120_2=1 if march_CA_C12==1

** H1 (100 today, 120 in three weeks) 
set seed 999
gen u = uniform()

replace dec100_120=0 if december_CA_P11A==3 & u>=0.5
replace dec100_120=1 if december_CA_P11A==3 & u<0.5
label define dec100_120 1 "100 euros today" 0 "120 in three weeks", replace

replace dec100_120_mis=0 if december_CA_P11A==3		//now, dec100_120_mis=1 only when december_CA_P11A==.
replace dec100_120=0 if dec100_120_mis==1

label define mar100_120 1 "100 euros today" 0 "120 in three weeks", replace

** H2 (100 today, 120 in six weeks) (March)
label define mar100_120_2 1 "100 euros today" 0 "120 in six weeks", replace

** H3 (100 today, 150 in three weeks) 
replace dec100_150=0 if december_CA_P11B==3 & u>=0.5
replace dec100_150=1 if december_CA_P11B==3 & u<0.5
label define dec100_150 1 "100 euros today" 0 "150 in three weeks", replace

replace dec100_150_mis=0 if december_CA_P11B==3		//now, dec100_150_mis=1 only when december_CA_P11B==.
replace dec100_150=0 if dec100_150_mis==1

label define mar100_150 1 "100 euros today" 0 "150 in three weeks", replace

** H4 (100 today, 180 in three weeks) 
replace dec100_180=0 if december_CA_P11C==3 & u>=0.5
replace dec100_180=1 if december_CA_P11C==3 & u<0.5
label define dec100_180 1 "100 euros today" 0 "180 in three weeks", replace

replace dec100_180_mis=0 if december_CA_P11C==3		//now, dec100_180_mis=1 only when december_CA_P11C==.
replace dec100_180=0 if dec100_180_mis==1

label define mar100_180 1 "100 euros today" 0 "180 in three weeks", replace
label variable treated 		"Treated"

save "Datafiles\append1.dta",replace

** Pooling Data **

use			 "Datafiles\append1.dta"
gen dum1=1
append using "Datafiles\append1.dta"
replace dum1=2 if dum1==.
append using "Datafiles\append1.dta"
replace dum1=3 if dum1==.
append using "Datafiles\append1.dta"
replace dum1=4 if dum1==.

*generar las elecciones DICIEMBRE
gen		eleccion_dec= dec100_120 if dum1==1
replace eleccion_dec= dec100_150 if dum1==2
replace eleccion_dec= dec100_180 if dum1==3

*generar las elecciones MARZO
gen		eleccion_mar= mar100_120 	if dum1==1
replace eleccion_mar= mar100_150 	if dum1==2
replace eleccion_mar= mar100_180 	if dum1==3
replace eleccion_mar= mar100_120_2 	if dum1==4

* Dummies de eleccion
gen dum_rd20	=(dum1==1)
gen dum_rd50	=(dum1==2)
gen dum_rd80	=(dum1==3)
gen dum_rd20_2	=(dum1==4)

label variable eleccion_mar	 "Hypothetical choices (pooled): prefers delayed hypothetical income"

save "Datafiles\appended.dta", replace


use	"Datafiles\appended.dta", clear

keep if march_Asistencia==1 
keep if december_Asistencia==1
keep if curso==3

drop if stratum==14|stratum==15 /*The sample excludes one stratum that mixes 1 public and 2 non-public centers. 
								That stratum originally grouped high schools who intended to teach the course
								to 7th or 8th graders (ESO1 or ESO2).*/

* PANEL A: Sample composition by stratum 

bys COD_CENTRO: gen nstudents=_n
count if publico2==1&balanced_sample==1&curso==3&dum1==1
count if publico2==1&balanced_sample==1&curso==3&nstudents==1
count if publico2==0&balanced_sample==1&curso==3&dum1==1
count if publico2==0&balanced_sample==1&curso==3&nstudents==1

global DESCVARS foreign repetidores autonomop trabajaempp /*notrabajap 
 E_drop16*/ E_drop18 /*E_drop20 E_drop22*/

* Excel
cd "C:\Users\Usuario\Dropbox\JHR\replication file\Tables\Table5\Tables/"
putexcel set EvaluacionCorto.xlsx, sheet(Table5) modify
local row = 2
foreach x of varlist $DESCVARS {
describe `x'
local varlabel : var label `x'
putexcel A`row' = ("`varlabel'")
local row = `row'+1
}
tabstat $DESCVARS if publico2==1&balanced_sample==1&curso==3&dum1==1, stat(n mean sd) save
return list
matlist r(StatTotal)
matrix results = r(StatTotal)'
matlist results
putexcel set EvaluacionCorto.xlsx, sheet(Table5) modify
putexcel B1 = matrix(results), names nformat(number_d3)

tabstat $DESCVARS if publico2==0&balanced_sample==1&curso==3&dum1==1, stat(n mean sd) save
return list
matlist r(StatTotal)
matrix results = r(StatTotal)'
matlist results
putexcel set EvaluacionCorto.xlsx, sheet(Table5) modify
putexcel F1 = matrix(results), names nformat(number_d3)


cd "C:\Users\Usuario\Dropbox\JHR\2nd_revision\evaluation2015_ana\"

* PANEL B: Effects of the financial literacy program on knowledge and choices by stratum

global stratumc_public stratum_c4 stratum_c7 stratum_c9 stratum_c11 stratum_c16
global stratumc_concpri stratum_c5 stratum_c6 stratum_c10 stratum_c12 stratum_c13

**	B.1. Score in financial knowledge tests

*** 1. Standardized test score
* Public 
reg norm_postest treated norm_pretest norm_pretestmis stratum_c2-stratum_c16 if publico2==1&dum1==1, robust cluster(COD_CENTRO)
* Non-public
reg norm_postest treated norm_pretest norm_pretestmis stratum_c2-stratum_c16 if publico2==0&dum1==1, robust cluster(COD_CENTRO)
* Test: Equality of coefficients
reg norm_postest treated treated_public norm_pretest stratum_c2-stratum_c16 if dum1==1, cluster(COD_CENTRO)


*** 2. 3. 4. Fraction with less than 25%, 35%, 50% questions correct (d25, d35, d50)
* Public
gen n=_n
gen index=(n/100)
gen cdfT=.
gen cdfC=.
qui compress
local i=1
while `i'<=100 {
	gen d`i'=(postest<=((`i'/100))) 
	sum d`i'
	reg d`i' treated norm_pretest norm_pretestmis stratum_c2-stratum_c16 if publico2==1&dum1==1, cluster(COD_CENTRO)
	replace cdfT=_b[_cons] + _b[treated] if _n==`i'
	replace cdfC=_b[_cons] if _n==`i'
	drop d`i'
	qui compress
local i=`i'+1
}
* Non-public 
use	"Datafiles\appended.dta", clear

keep if march_Asistencia==1 
keep if december_Asistencia==1
keep if curso==3

drop if stratum==14|stratum==15 /*The sample excludes one stratum that mixes 1 public and 2 non-public centers. 
								That stratum originally grouped high schools who intended to teach the course
								to 7th or 8th graders (ESO1 or ESO2).*/
gen n=_n
gen index=(n/100)
gen cdfT=.
gen cdfC=.
qui compress
local i=1
while `i'<=100 {
	gen d`i'=(postest<=((`i'/100))) 
	sum d`i'
	reg d`i' treated norm_pretest norm_pretestmis stratum_c2-stratum_c16 if publico2==0&dum1==1, cluster(COD_CENTRO)
	replace cdfT=_b[_cons] + _b[treated] if _n==`i'
	replace cdfC=_b[_cons] if _n==`i'
	drop d`i'
	qui compress
local i=`i'+1
}
* Test: Equality of coefficients
use	"Datafiles\appended.dta", clear

keep if march_Asistencia==1 
keep if december_Asistencia==1
keep if curso==3

drop if stratum==14|stratum==15 /*The sample excludes one stratum that mixes 1 public and 2 non-public centers. 
								That stratum originally grouped high schools who intended to teach the course
								to 7th or 8th graders (ESO1 or ESO2).*/

gen n=_n
gen index=(n/100)
gen cdfT=.
gen cdfC=.
qui compress
local i=1
while `i'<=100 {
	gen d`i'=(postest<=((`i'/100))) 
	sum d`i'
	reg d`i' treated treated_public norm_pretest norm_pretestmis stratum_c2-stratum_c16 if dum1==1, cluster(COD_CENTRO)
	drop d`i'
	qui compress
local i=`i'+1
}


**	B.2. Attitudes

use	"Datafiles\appended.dta", clear

keep if march_Asistencia==1 
keep if december_Asistencia==1
keep if curso==3

drop if stratum==14|stratum==15 /*The sample excludes one stratum that mixes 1 public and 2 non-public centers. 
								That stratum originally grouped high schools who intended to teach the course
								to 7th or 8th graders (ESO1 or ESO2).*/

*** 5. Talks to parents about economics

* Public
oprobit freq_cont1 treated daily0 onceweek0 nevertalk0 talk0_mis stratum_c2-stratum_c16 if publico2==1&dum1==1, robust cluster(COD_CENTRO)

* Non-public
oprobit freq_cont1 treated daily0 onceweek0 nevertalk0 talk0_mis stratum_c2-stratum_c16 if publico2==0&dum1==1, robust cluster(COD_CENTRO)

* Test: Equality of coefficients
oprobit freq_cont1 treated treated_public daily0 onceweek0 nevertalk0 talk0_mis stratum_c2-stratum_c16 if dum1==1, robust cluster(COD_CENTRO)


*** 6. Hypothetical Choices
* Public 
reg eleccion_mar treated dec100_120 dec100_120_mis dec100_150 dec100_180 dum_rd20 dum_rd50 dum_rd80 stratum_c2-stratum_c16 if publico2==1, r cluster(COD_CENTRO)

* Non-public
reg eleccion_mar treated dec100_120 dec100_120_mis dec100_150 dec100_180 dum_rd20 dum_rd50 dum_rd80 stratum_c2-stratum_c16 if publico2==0, r cluster(COD_CENTRO)

* Test: Equality of coefficients
reg eleccion_mar treated treated_public dec100_120 dec100_120_mis dec100_150 dec100_180 dum_rd20 dum_rd50 dum_rd80 stratum_c2-stratum_c16, r cluster(COD_CENTRO)


**	B.3. Sources of income

*** 7. Money from chores at home/family business
* Public 
reg labor_inside_1 treated labor_inside_0 labor_inside_0_mis stratum_c2-stratum_c16 if publico2==1&dum1==1, robust cluster(COD_CENTRO)

* Non-public
reg labor_inside_1 treated labor_inside_0 labor_inside_0_mis stratum_c2-stratum_c16 if publico2==0&dum1==1, robust cluster(COD_CENTRO)

* Test: Equality of coefficients
reg labor_inside_1 treated treated_public labor_inside_0 labor_inside_0_mis stratum_c2-stratum_c16 if dum1==1, robust cluster(COD_CENTRO)

*** 8. Money from occasional jobs outside home
* Public 
reg labor_outside_1 treated labor_outside_0 labor_outside_0_mis stratum_c2-stratum_c16 if publico2==1&dum1==1, robust cluster(COD_CENTRO)

* Non-public
reg labor_outside_1 treated labor_outside_0 labor_outside_0_mis stratum_c2-stratum_c16 if publico2==0&dum1==1, robust cluster(COD_CENTRO)

* Test: Equality of coefficients
reg labor_outside_1 treated treated_public labor_outside_0 labor_outside_0_mis stratum_c2-stratum_c16 if dum1==1, robust cluster(COD_CENTRO)

*** 9. Any source of income

* Public 
reg labor_income_1 treated labor_income_0 labor_income_0_mis stratum_c2-stratum_c16 if publico2==1&dum1==1, robust cluster(COD_CENTRO)

* Non-public
reg labor_income_1 treated labor_income_0 labor_income_0_mis stratum_c2-stratum_c16 if publico2==0&dum1==1, robust cluster(COD_CENTRO)

* Test: Equality of coefficients
reg labor_income_1 treated treated_public labor_income_0 labor_income_0_mis stratum_c2-stratum_c16 if dum1==1, robust cluster(COD_CENTRO)


**	B.4. Incentivized saving task (Madrid)

use "Datafiles\Students", clear


drop if stratum==14|stratum==15 /*The sample excludes one stratum that mixes 1 public and 2 non-public centers. 
								That stratum originally grouped high schools who intended to teach the course
								to 7th or 8th graders (ESO1 or ESO2).*/

keep if madrid2==1
keep if june_balanced_sample==1

bys COD_CENTRO: gen nalumnos=_n
count if nalumnos==1
count

** Variables **

* Hypothetical saving choices

** H1 (100 today, 120 in three weeks) 
set seed 999
gen u = uniform()

replace dec100_120=0 if december_CA_P11A==3 & u>=0.5
replace dec100_120=1 if december_CA_P11A==3 & u<0.5
label define dec100_120 1 "100 euros today" 0 "120 in three weeks", replace

replace dec100_120_mis=0 if december_CA_P11A==3		//now, dec100_120_mis=1 only when december_CA_P11A==.
replace dec100_120=0 if dec100_120_mis==1

label define mar100_120 1 "100 euros today" 0 "120 in three weeks", replace

** H2 (100 today, 120 in six weeks) (March)
label define mar100_120_2 1 "100 euros today" 0 "120 in six weeks", replace

** H3 (100 today, 150 in three weeks) 
replace dec100_150=0 if december_CA_P11B==3 & u>=0.5
replace dec100_150=1 if december_CA_P11B==3 & u<0.5
label define dec100_150 1 "100 euros today" 0 "150 in three weeks", replace

replace dec100_150_mis=0 if december_CA_P11B==3		//now, dec100_150_mis=1 only when december_CA_P11B==.
replace dec100_150=0 if dec100_150_mis==1

label define mar100_150 1 "100 euros today" 0 "150 in three weeks", replace

** H4 (100 today, 180 in three weeks) 
replace dec100_180=0 if december_CA_P11C==3 & u>=0.5
replace dec100_180=1 if december_CA_P11C==3 & u<0.5
label define dec100_180 1 "100 euros today" 0 "180 in three weeks", replace

replace dec100_180_mis=0 if december_CA_P11C==3		//now, dec100_180_mis=1 only when december_CA_P11C==.
replace dec100_180=0 if dec100_180_mis==1

label define mar100_180 1 "100 euros today" 0 "180 in three weeks", replace


* Inconsistent choices
gen 	dC0dRpos2 =0
replace dC0dRpos2 =1 if (juego1<juego2)
gen 	dC0dRpos3 =0
replace dC0dRpos3 =1 if (juego2<juego3) | (juego1<juego3)
gen 	dC0dRpos5 =0
replace dC0dRpos5 =1 if (juego4<juego5)
gen 	dC0dRpos6 =0
replace dC0dRpos6 =1 if (juego5<juego6) | (juego4<juego6)
gen 	dC0dRpos8 =0
replace dC0dRpos8 =1 if (juego7<juego8)
gen 	dC0dRpos9 =0
replace dC0dRpos9 =1 if (juego8<juego9) | (juego7<juego9)

gen 	dC0dRposE2 =0
replace dC0dRposE2 =1 if dC0dRpos2==1 
gen 	dC0dRposE3 =0
replace dC0dRposE3 =1 if dC0dRpos3==1
gen 	dC0dRposE5 =0
replace dC0dRposE5 =1 if dC0dRpos3==1|(juego5<juego2)
gen 	dC0dRposE6 =0
replace dC0dRposE6 =1 if dC0dRpos6==1|(juego6<juego3)
gen 	dC0dRposE8 =0
replace dC0dRposE8 =1 if dC0dRpos8==1
gen 	dC0dRposE9 =0
replace dC0dRposE9 =1 if dC0dRpos9==1

* Vertical form (Each observation is one student-game)
reshape long J dC0dRpos dC0dRposE, i(idestu) j(game)

* Experiments involving current expenditure
gen		immed=0
replace immed=1 if game==2|game==3|game==5|game==6

* Interest rate
gen		R=0
replace R=1 if game==2 | game==5 | game==8
replace R=2 if game==3 | game==6 | game==9

* Delay
gen		delay=1 if game ==2 | game== 3 | game==8 | game==9
replace delay=2 if game ==5 | game==6
gen 	delay_R=R*delay

* Treatment variables
gen	treatment=(curso==3)
gen	Janschool=(treated==1)	

gen Jtreat=Janschool*treatment
gen Jtreat_imme  = immed*Jtreat
gen Jtreat_delay = delay*Jtreat
gen Jtreat_R	 = R*Jtreat

gen Atreat=(1-Janschool)*treatment
gen Atreat_imme  = immed*Atreat
gen Atreat_delay = delay*Atreat
gen Atreat_R	 = R*Atreat

gen Otreat=treatment
gen Otreat_imme  = immed*Otreat
gen Otreat_delay = delay*Otreat
gen Otreat_R	 = R*Otreat

egen cluster_cole=group(COD_CENTRO curso)

* EUR allocated to earlier date
gen		euro_soon=juego2 if game==2
replace euro_soon=juego3 if game==3
replace euro_soon=juego5 if game==5
replace euro_soon=juego6 if game==6
replace euro_soon=juego8 if game==8
replace euro_soon=juego9 if game==9

gen		game2=0
replace game2=1 if game==2

gen		game3=0
replace game3=1 if game==3

gen		game5=0
replace game5=1 if game==5

gen		game6=0
replace game6=1 if game==6

gen		game8=0
replace game8=1 if game==8

gen		game9=0
replace game9=1 if game==9

drop if game==1|game==4|game==7

label variable treated 		"Treated"
label variable immed 		"Immediate payment"
label variable R 			"Interest rate"
label variable delay		"Delay"
label variable dec100_120 	"Prefers 100 euro today to 120 in 3 weeks (Dec)"
label variable dec100_150 	"Prefers 100 euro today to 150 in 3 weeks (Dec)"
label variable dec100_180 	"Prefers 100 euro today to 180 in 3 weeks (Dec)"

global dec_hypothetical dec100_120 dec100_120_mis dec100_150 dec100_180 
global stratum stratum_c2 stratum_c3 stratum_c7

gen Otreat_public=publico2*Otreat

*** 10. EUR allocated to the earlier date

* Public 
reg euro_soon Otreat immed R delay $dec_hypothetical $stratum if publico2==1 & (curso==4|(curso==3& treated==1)), r cluster(cluster_cole)

* Non-public
reg euro_soon Otreat immed R delay $dec_hypothetical $stratum if publico2==0 & (curso==4|(curso==3& treated==1)), r cluster(cluster_cole)

* Test: Equality of coefficients
reg euro_soon Otreat Otreat_public immed R delay $dec_hypothetical $stratum if (curso==4|(curso==3& treated==1)), r cluster(cluster_cole)


cap log close
