clear all
cap log close
set more off
*cd "X:\Dga_EI\AMicro\TRABAJO\FLIT_evaluacion_2014-2015\2020_version\"
cd "F:\BdE_11032020\FLIT_evaluacion_2014-2015\2020_version\"

log using "Logfiles\Table5_MHT.log", replace

**********************
**** MHT: Table 5 ****
**********************

use "Datafiles\Students", clear

keep if march_Asistencia==1 
keep if december_Asistencia==1
keep if curso==3

drop if stratum==14|stratum==15 /*The sample excludes one stratum that mixes 1 public and 2 non-public centers. 
								That stratum originally grouped high schools who intended to teach the course
								to 7th or 8th graders (ESO1 or ESO2).*/

** Variables **

foreach x in daily0 onceweek0 bonceweek0 nevertalk0 labor_income_0 labor_outside_0 labor_inside_0 {
replace `x'=0 if `x'==.
}

gen treated_public=publico2*treated

* Normalized score by "curso"

sum pretest
replace pretest=pretest/10		//pasar las notas a fracción
sum pretest
sum postest
replace postest=postest/10
sum postest
sum june_postest
replace june_postest=june_postest/10
sum june_postest

forvalues i=3(1)4{
sum pretest		if curso==`i'	//december
gen a=r(mean)	if curso==`i'
gen b=r(sd)		if curso==`i'
gen norm_pretest_`i'eso=(pretest-a)/b if pretest!=.&curso==`i'
replace norm_pretest_`i'eso=0 if pretest==.
drop a b
}

gen 	norm_pretest=0
replace norm_pretest=norm_pretest_3eso	if curso==3
replace norm_pretest=norm_pretest_4eso	if curso==4

gen norm_pretestmis=(pretest==.)
replace pretest=0 if norm_pretestmis==1

/*
sum pretest			//december
gen a=r(mean)
gen b=r(sd)
gen norm_pretest=(pretest-a)/b if pretest!=.
replace norm_pretest=0 if pretest==.
drop a b */

forvalues i=3(1)4{
sum postest		if curso==`i'	//march
gen a=r(mean)	if curso==`i'
gen b=r(sd)		if curso==`i'
gen norm_postest_`i'eso=(postest-a)/b if postest!=.&curso==`i'
drop a b
}

gen 	norm_postest=0	if postest!=.
replace norm_postest=norm_postest_3eso	if postest!=.&curso==3
replace norm_postest=norm_postest_4eso	if postest!=.&curso==4

/*
sum postest			//march
gen a=r(mean)
gen b=r(sd)
gen norm_postest=(postest-a)/b
drop a b */

forvalues i=3(1)4{
sum june_postest		if curso==`i'	//june
gen a=r(mean)	if curso==`i'
gen b=r(sd)		if curso==`i'
gen norm_june_postest_`i'eso=(june_postest-a)/b if june_postest!=.&curso==`i'
drop a b
}

gen 	norm_june_postest=0 if june_postest!=.
replace norm_june_postest=norm_june_postest_3eso	if june_postest!=.&curso==3
replace norm_june_postest=norm_june_postest_4eso	if june_postest!=.&curso==4

/*
sum june_postest	//june
gen a=r(mean)
gen b=r(sd)
gen norm_june_postest=(june_postest-a)/b
drop a b */

* Create fraction with less than 25%, 35%, 50% questions correct (d25, d35, d50)
gen n=_n
gen index=(n/100)
gen cdfT=.
gen cdfC=.
qui compress
local i=1
while `i'<=100 {
	gen d`i'=(postest<=((`i'/100))) 
local i=`i'+1
}
drop n

* Hypothetical saving choices

** H1 (100 today, 120 in three weeks) 
set seed 999
gen u = uniform()

replace dec100_120=0 if december_CA_P11A==3 & u>=0.5
replace dec100_120=1 if december_CA_P11A==3 & u<0.5
label define dec100_120 1 "100 euros today" 0 "120 in three weeks", replace

replace dec100_120_mis=0 if december_CA_P11A==3		//now, dec100_120_mis=1 only when december_CA_P11A==.
replace dec100_120=0 if dec100_120_mis==1

label define mar100_120 1 "100 euros today" 0 "120 in three weeks", replace

** H2 (100 today, 120 in six weeks) (March)
label define mar100_120_2 1 "100 euros today" 0 "120 in six weeks", replace

** H3 (100 today, 150 in three weeks) 
replace dec100_150=0 if december_CA_P11B==3 & u>=0.5
replace dec100_150=1 if december_CA_P11B==3 & u<0.5
label define dec100_150 1 "100 euros today" 0 "150 in three weeks", replace

replace dec100_150_mis=0 if december_CA_P11B==3		//now, dec100_150_mis=1 only when december_CA_P11B==.
replace dec100_150=0 if dec100_150_mis==1

label define mar100_150 1 "100 euros today" 0 "150 in three weeks", replace

** H4 (100 today, 180 in three weeks) 
replace dec100_180=0 if december_CA_P11C==3 & u>=0.5
replace dec100_180=1 if december_CA_P11C==3 & u<0.5
label define dec100_180 1 "100 euros today" 0 "180 in three weeks", replace

replace dec100_180_mis=0 if december_CA_P11C==3		//now, dec100_180_mis=1 only when december_CA_P11C==.
replace dec100_180=0 if dec100_180_mis==1

label define mar100_180 1 "100 euros today" 0 "180 in three weeks", replace
label variable treated 		"Treated"

save "Datafiles\append1.dta",replace

** Pooling Data **

use			 "Datafiles\append1.dta"
gen dum1=1
append using "Datafiles\append1.dta"
replace dum1=2 if dum1==.
append using "Datafiles\append1.dta"
replace dum1=3 if dum1==.
append using "Datafiles\append1.dta"
replace dum1=4 if dum1==.

*generar las elecciones DICIEMBRE
gen		eleccion_dec= dec100_120 if dum1==1
replace eleccion_dec= dec100_150 if dum1==2
replace eleccion_dec= dec100_180 if dum1==3

*generar las elecciones MARZO
gen		eleccion_mar= mar100_120 	if dum1==1
replace eleccion_mar= mar100_150 	if dum1==2
replace eleccion_mar= mar100_180 	if dum1==3
replace eleccion_mar= mar100_120_2 	if dum1==4

* Dummies de eleccion
gen dum_rd20	=(dum1==1)
gen dum_rd50	=(dum1==2)
gen dum_rd80	=(dum1==3)
gen dum_rd20_2	=(dum1==4)

label variable eleccion_mar	 "Hypothetical choices (pooled): prefers delayed hypothetical income"

* Nos quedamos con 1 de las 4 repeticiones de los datos para estas variables dependientes:
foreach x in norm_postest d25 d35 d50 freq_cont1 labor_inside_1 labor_outside_1 labor_income_1 {
rename `x' m`x'
gen `x'=. 
replace `x'=m`x' if dum1==1
}

save "Datafiles\appended.dta", replace


use	"Datafiles\appended.dta", clear

local dep "norm_postest d25 d35 d50 freq_cont1 eleccion_mar labor_inside_1 labor_outside_1 labor_income_1"
local exog "treated"
local stata "stratum_c2-stratum_c16"

preserve

keep `dep' `exog' `stata' treated_public idestu COD_CENTRO norm_pretest norm_pretestmis daily0 /*
*/ onceweek0 nevertalk0 talk0_mis publico2 dec100_120 dec100_120_mis /*
*/ dec100_150 dec100_180 dum_rd20 dum_rd50 dum_rd80 labor_inside_0 labor_inside_0_mis /*
*/ labor_outside_0 labor_outside_0_mis labor_income_0 labor_income_0_mis 

		
label var norm_postest 		"Standardized test score"
label var d25 				"Fraction with less than 25% questions correct"
label var d35				"Fraction with less than 35% questions correct"
label var d50 				"Fraction with less than 50% questions correct"
label var freq_cont 		"Talks to parents about economics"
label var eleccion_mar 		"Hypothetical choices (pooled) prefers delayed hypothetical income"
label var labor_inside_1 	"Money from chores at home/family business"
label var labor_outside_1 	"Money from occasional jobs outside home"
label var labor_income_1 	"Any source of income"
		
save "Datafiles\temp.dta", replace
		
restore	
	
global dep_glo "`dep'"
global exog_glo "`exog'"
global strata_glo "`stata'"

************ 0. Original Regression Table 9 ****************
 
*** 1. Standardized test score
* Public 
reg norm_postest treated norm_pretest norm_pretestmis stratum_c2-stratum_c16 if publico2==1, r cluster(COD_CENTRO)
* Non-public
reg norm_postest treated norm_pretest norm_pretestmis stratum_c2-stratum_c16 if publico2==0, r cluster(COD_CENTRO)
* Test: Equality of coefficients
reg norm_postest treated treated_public norm_pretest norm_pretestmis stratum_c2-stratum_c16, r cluster(COD_CENTRO)

*** 2. Fraction with less than 25% questions correct
* Public 
reg d25 treated norm_pretest norm_pretestmis stratum_c2-stratum_c16 if publico2==1, r cluster(COD_CENTRO)
* Non-public
reg d25 treated norm_pretest norm_pretestmis stratum_c2-stratum_c16 if publico2==0, r cluster(COD_CENTRO)
* Test: Equality of coefficients
reg d25 treated treated_public norm_pretest norm_pretestmis stratum_c2-stratum_c16, r cluster(COD_CENTRO)

*** 3. Fraction with less than 35% questions correct
* Public 
reg d35 treated norm_pretest norm_pretestmis stratum_c2-stratum_c16 if publico2==1, r cluster(COD_CENTRO)
* Non-public
reg d35 treated norm_pretest norm_pretestmis stratum_c2-stratum_c16 if publico2==0, r cluster(COD_CENTRO)
* Test: Equality of coefficients
reg d35 treated treated_public norm_pretest norm_pretestmis stratum_c2-stratum_c16, r cluster(COD_CENTRO)

*** 4. Fraction with less than 50% questions correct
* Public 
reg d50 treated norm_pretest norm_pretestmis stratum_c2-stratum_c16 if publico2==1, r cluster(COD_CENTRO)
* Non-public
reg d50 treated norm_pretest norm_pretestmis stratum_c2-stratum_c16 if publico2==0, r cluster(COD_CENTRO)
* Test: Equality of coefficients
reg d50 treated treated_public norm_pretest norm_pretestmis stratum_c2-stratum_c16, r cluster(COD_CENTRO)

*** 5. Talks to parents about economics
* Public
oprobit freq_cont1 treated daily0 onceweek0 nevertalk0 talk0_mis stratum_c2-stratum_c16 if publico2==1, r cluster(COD_CENTRO)
* Non-public
oprobit freq_cont1 treated daily0 onceweek0 nevertalk0 talk0_mis stratum_c2-stratum_c16 if publico2==0, r cluster(COD_CENTRO)
* Test: Equality of coefficients
oprobit freq_cont1 treated treated_public daily0 onceweek0 nevertalk0 talk0_mis stratum_c2-stratum_c16, r cluster(COD_CENTRO)

*** 6. Hypothetical Choices
* Public 
reg eleccion_mar treated dec100_120 dec100_120_mis dec100_150 dec100_180 dum_rd20 dum_rd50 dum_rd80 stratum_c2-stratum_c16 if publico2==1, r cluster(COD_CENTRO)
* Non-public
reg eleccion_mar treated dec100_120 dec100_120_mis dec100_150 dec100_180 dum_rd20 dum_rd50 dum_rd80 stratum_c2-stratum_c16 if publico2==0, r cluster(COD_CENTRO)
* Test: Equality of coefficients
reg eleccion_mar treated treated_public dec100_120 dec100_120_mis dec100_150 dec100_180 dum_rd20 dum_rd50 dum_rd80 stratum_c2-stratum_c16, r cluster(COD_CENTRO)

*** 7. Money from chores at home/family business
* Public 
reg labor_inside_1 treated labor_inside_0 labor_inside_0_mis stratum_c2-stratum_c16 if publico2==1, r cluster(COD_CENTRO)
* Non-public
reg labor_inside_1 treated labor_inside_0 labor_inside_0_mis stratum_c2-stratum_c16 if publico2==0, r cluster(COD_CENTRO)
* Test: Equality of coefficients
reg labor_inside_1 treated treated_public labor_inside_0 labor_inside_0_mis stratum_c2-stratum_c16, r cluster(COD_CENTRO)

*** 8. Money from occasional jobs outside home
* Public 
reg labor_outside_1 treated labor_outside_0 labor_outside_0_mis stratum_c2-stratum_c16 if publico2==1, r cluster(COD_CENTRO)
* Non-public
reg labor_outside_1 treated labor_outside_0 labor_outside_0_mis stratum_c2-stratum_c16 if publico2==0, r cluster(COD_CENTRO)
* Test: Equality of coefficients
reg labor_outside_1 treated treated_public labor_outside_0 labor_outside_0_mis stratum_c2-stratum_c16, r cluster(COD_CENTRO)

*** 9. Any source of income
* Public 
reg labor_income_1 treated labor_income_0 labor_income_0_mis stratum_c2-stratum_c16 if publico2==1, r cluster(COD_CENTRO)
* Non-public
reg labor_income_1 treated labor_income_0 labor_income_0_mis stratum_c2-stratum_c16 if publico2==0, r cluster(COD_CENTRO)
* Test: Equality of coefficients
reg labor_income_1 treated treated_public labor_income_0 labor_income_0_mis stratum_c2-stratum_c16, r cluster(COD_CENTRO)



************** 1. Original Tests **************

// Number of replications
	
	local B = 1

// Starting replication
		
	local I = 1

	
while `I' <= `B' {
	
	di as error "`I'"
		
	qui {

		// Open dataset
		
		use "Datafiles\temp.dta", clear
		
		// Define locals
		
		local dep_var "$dep_glo"
		local exog "$exog_glo"
		local stata "$strata_glo"
		
		// Run ORIGINAL estimates	
									
		qui {
	
			*** 1. Standardized test score
			* Public 
			reg norm_postest treated norm_pretest norm_pretestmis `stata' if publico2==1, r cluster(COD_CENTRO)
			gen b_or_1_ = _b[treated]
			gen se_or_1_ = _se[treated]
			local lnorm_postest_pu : variable label norm_postest
			label var b_or_1_ "`lnorm_postest_pu_1_treated"
			* Non-public
			reg norm_postest treated norm_pretest norm_pretestmis `stata' if publico2==0, r cluster(COD_CENTRO)
			gen b_or_2_ = _b[treated]
			gen se_or_2_ = _se[treated]
			local lnorm_postest_pr : variable label norm_postest
			label var b_or_2_ "`lnorm_postest_pr_2_treated"
			* Test
			reg norm_postest treated treated_public norm_pretest norm_pretestmis `stata', r cluster(COD_CENTRO)
			gen b_or_3_ = _b[treated_public]
			gen se_or_3_ = _se[treated_public]
			local lnorm_postest_pupr : variable label norm_postest
			label var b_or_3_ "`lnorm_postest_pupr_3_treated"
			
			*** 2. Fraction with less than 25% questions correct
			* Public 
			reg d25 treated norm_pretest norm_pretestmis `stata' if publico2==1, r cluster(COD_CENTRO)
			gen b_or_4_ = _b[treated]
			gen se_or_4_ = _se[treated]
			local ld25_pu : variable label d25
			label var b_or_4_ "`ld25_pu_4_treated"
			* Non-public
			reg d25 treated norm_pretest norm_pretestmis `stata' if publico2==0, r cluster(COD_CENTRO)
			gen b_or_5_ = _b[treated]
			gen se_or_5_ = _se[treated]
			local ld25_pr : variable label d25
			label var b_or_5_ "`ld25_pr_5_treated"
			* Test
			reg d25 treated treated_public norm_pretest norm_pretestmis `stata', r cluster(COD_CENTRO)
			gen b_or_6_ = _b[treated_public]
			gen se_or_6_ = _se[treated_public]
			local ld25_pupr : variable label d25
			label var b_or_6_ "`ld25_pupr_6_treated"
			
			*** 3. Fraction with less than 35% questions correct
			* Public 
			reg d35 treated norm_pretest norm_pretestmis `stata' if publico2==1, r cluster(COD_CENTRO)
			gen b_or_7_ = _b[treated]
			gen se_or_7_ = _se[treated]
			local ld35_pu : variable label d35
			label var b_or_7_ "`ld35_pu_7_treated"
			* Non-public
			reg d35 treated norm_pretest norm_pretestmis `stata' if publico2==0, r cluster(COD_CENTRO)
			gen b_or_8_ = _b[treated]
			gen se_or_8_ = _se[treated]
			local ld35_pr : variable label d35
			label var b_or_8_ "`ld35_pr_8_treated"	
			* Test
			reg d35 treated treated_public norm_pretest norm_pretestmis `stata', r cluster(COD_CENTRO)
			gen b_or_9_ = _b[treated_public]
			gen se_or_9_ = _se[treated_public]
			local ld35_pupr : variable label d35
			label var b_or_9_ "`ld35_pupr_9_treated"
			
			*** 4. Fraction with less than 50% questions correct
			* Public 
			reg d50 treated norm_pretest norm_pretestmis `stata' if publico2==1, r cluster(COD_CENTRO)
			gen b_or_10_ = _b[treated]
			gen se_or_10_ = _se[treated]
			local ld50_pu : variable label d50
			label var b_or_10_ "`ld50_pu_10_treated"
			* Non-public
			reg d50 treated norm_pretest norm_pretestmis `stata' if publico2==0, r cluster(COD_CENTRO)
			gen b_or_11_ = _b[treated]
			gen se_or_11_ = _se[treated]
			local ld50_pr : variable label d50
			label var b_or_11_ "`ld50_pr_11_treated"
			* Test
			reg d50 treated treated_public norm_pretest norm_pretestmis `stata', r cluster(COD_CENTRO)
			gen b_or_12_ = _b[treated_public]
			gen se_or_12_ = _se[treated_public]
			local ld50_pupr : variable label d50
			label var b_or_12_ "`ld50_pupr_12_treated"
			
			*** 5. Talks to parents about economics
			* Public 
			oprobit freq_cont1 treated treated daily0 onceweek0 nevertalk0 talk0_mis `stata' if publico2==1, r cluster(COD_CENTRO)
			gen b_or_13_ = _b[treated]
			gen se_or_13_ = _se[treated]
			local lfreq_cont1_pu : variable label freq_cont1
			label var b_or_13_ "`lfreq_cont_pu_13_treated"
			* Non-public
			oprobit freq_cont1 treated treated daily0 onceweek0 nevertalk0 talk0_mis `stata' if publico2==0, r cluster(COD_CENTRO)
			gen b_or_14_ = _b[treated]
			gen se_or_14_ = _se[treated]
			local lfreq_cont1_pr : variable label freq_cont1
			label var b_or_14_ "`lfreq_cont_pr_14_treated"
			* Test
			oprobit freq_cont1 treated treated_public daily0 onceweek0 nevertalk0 talk0_mis `stata', r cluster(COD_CENTRO)
			gen b_or_15_ = _b[treated_public]
			gen se_or_15_ = _se[treated_public]
			local lfreq_cont1_pupr : variable label freq_cont1
			label var b_or_15_ "`lfreq_cont1_pupr_15_treated"
			
			*** 6. Hypothetical Choices
			* Public 
			reg eleccion_mar treated dec100_120 dec100_120_mis dec100_150 dec100_180 dum_rd20 dum_rd50 dum_rd80 `stata' if publico2==1, r cluster(COD_CENTRO)
			gen b_or_16_ = _b[treated]
			gen se_or_16_ = _se[treated]
			local leleccion_mar_pu : variable label eleccion_mar
			label var b_or_16_ "`leleccion_mar_pu_16_treated"
			* Non-public
			reg eleccion_mar treated dec100_120 dec100_120_mis dec100_150 dec100_180 dum_rd20 dum_rd50 dum_rd80 `stata' if publico2==0, r cluster(COD_CENTRO)
			gen b_or_17_ = _b[treated]
			gen se_or_17_ = _se[treated]
			local leleccion_mar_pr : variable label eleccion_mar
			label var b_or_17_ "`leleccion_mar_pr_17_treated"	
			* Test
			reg eleccion_mar treated treated_public dec100_120 dec100_120_mis dec100_150 dec100_180 dum_rd20 dum_rd50 dum_rd80 `stata', r cluster(COD_CENTRO)
			gen b_or_18_ = _b[treated_public]
			gen se_or_18_ = _se[treated_public]
			local leleccion_mar_pupr : variable label eleccion_mar
			label var b_or_18_ "`leleccion_mar_pupr_18_treated"
			
			*** 7. Money from chores at home/family business
			* Public 
			reg labor_inside_1 treated labor_inside_0 labor_inside_0_mis `stata' if publico2==1, r cluster(COD_CENTRO)
			gen b_or_19_ = _b[treated]
			gen se_or_19_ = _se[treated]
			local llabor_inside_1_pu : variable label labor_inside_1
			label var b_or_19_ "`llabor_inside_1_pu_19_treated"
			* Non-public
			reg labor_inside_1 treated labor_inside_0 labor_inside_0_mis `stata' if publico2==0, r cluster(COD_CENTRO)
			gen b_or_20_ = _b[treated]
			gen se_or_20_ = _se[treated]
			local llabor_inside_1_pr : variable label labor_inside_1
			label var b_or_20_ "`llabor_inside_1_pr_20_treated"	
			* Test
			reg labor_inside_1 treated treated_public labor_inside_0 labor_inside_0_mis `stata', r cluster(COD_CENTRO)
			gen b_or_21_ = _b[treated_public]
			gen se_or_21_ = _se[treated_public]
			local llabor_inside_1_pupr : variable label labor_inside_1
			label var b_or_21_ "`llabor_inside_1_pupr_21_treated"
		
			*** 8. Money from occasional jobs outside home
			* Public 
			reg labor_outside_1 treated labor_outside_0 labor_outside_0_mis `stata' if publico2==1, r cluster(COD_CENTRO)
			gen b_or_22_ = _b[treated]
			gen se_or_22_ = _se[treated]
			local llabor_outside_1_pu : variable label labor_outside_1
			label var b_or_22_ "`llabor_outside_1_pu_22_treated"
			* Non-public
			reg labor_outside_1 treated labor_outside_0 labor_outside_0_mis `stata' if publico2==0, r cluster(COD_CENTRO)
			gen b_or_23_ = _b[treated]
			gen se_or_23_ = _se[treated]
			local llabor_outside_1_pr : variable label labor_outside_1
			label var b_or_23_ "`llabor_outside_1_pr_23_treated"	
			* Test
			reg labor_outside_1 treated treated_public labor_outside_0 labor_outside_0_mis `stata', r cluster(COD_CENTRO)
			gen b_or_24_ = _b[treated_public]
			gen se_or_24_ = _se[treated_public]
			local llabor_outside_1_pupr : variable label labor_outside_1
			label var b_or_24_ "`llabor_outside_1_pupr_24_treated"
			
			*** 9. Any source of income
			* Public 
			reg labor_income_1 treated labor_income_0 labor_income_0_mis `stata' if publico2==1, r cluster(COD_CENTRO)
			gen b_or_25_ = _b[treated]
			gen se_or_25_ = _se[treated]
			local llabor_income_1_pu : variable label labor_income_1
			label var b_or_25_ "`llabor_income_1_pu_25_treated"
			* Non-public
			reg labor_income_1 treated labor_income_0 labor_income_0_mis `stata' if publico2==0, r cluster(COD_CENTRO)
			gen b_or_26_ = _b[treated]
			gen se_or_26_ = _se[treated]
			local llabor_income_1_pr : variable label labor_income_1
			label var b_or_26_ "`llabor_income_1_pr_26_treated"
			* Test
			reg labor_income_1 treated treated_public labor_income_0 labor_income_0_mis `stata', r cluster(COD_CENTRO)
			gen b_or_27_ = _b[treated_public]
			gen se_or_27_ = _se[treated_public]
			local llabor_income_1_pupr : variable label labor_income_1
			label var b_or_27_ "`llabor_income_1_pupr_27_treated"
			
		}
									
	}
	
	// Copy variable labels
		
	foreach v of var * {		
		local lab`v' : variable label `v'								
	}
	
	// Generate dataset of estimates and standard errors
				
	collapse b_or_* se_or_*
	gen i = 1
			
	// Paste variable labels
					
	foreach v of var * { 
		label var `v' "`lab`v''" 				
	} 
	
	// Save dataset
	
	gen iter = `I'

	if `I' == 1 {	
		sort i
		save "Datafiles\Table5_or.dta", replace
	}
				
	local I= `I' + 1
		
} 	
	
	
 /********************* 2. Bootstrap ***********************/

 	set seed 13052019			// set seeds for replicability of results

	// Number of replications
	
	local B =  1000

	// Starting replication
		
	local I = 1
			
while `I' <= `B' {

	*sleep 500				// if code breaks down because replications occur too quickly set the sleep command to slow it down 
	
	di as error "`I'"
		
	qui {

		// Open dataset
			
		use "Datafiles\temp.dta", clear
		
		// Define locals
		
		local dep_var "$dep_glo"
		local exog "$exog_glo"
		local stata "$strata_glo"
						
		// Bootstrap resampling	(clustered)
			
		bsample , cl(COD_CENTRO)
					
		// Run BOOTSTRAP estimates	
		
		qui {
			
			// Create new id for individual (otherwise, due to resampling, I would have duplicate observations in the panel)
			
			bys idestu : gen ord = _n
			egen idestu_bs = group(idestu ord)
			
*** 1. Standardized test score
			* Public 
			reg norm_postest treated norm_pretest norm_pretestmis `stata' if publico2==1, r cluster(COD_CENTRO)
			gen b_1_ = _b[treated]
			gen se_1_ = _se[treated]
			local lnorm_postest_pu : variable label norm_postest
			label var b_1_ "`lnorm_postest_pu_1_treated"
			* Non-public
			reg norm_postest treated norm_pretest norm_pretestmis `stata' if publico2==0, r cluster(COD_CENTRO)
			gen b_2_ = _b[treated]
			gen se_2_ = _se[treated]
			local lnorm_postest_pr : variable label norm_postest
			label var b_2_ "`lnorm_postest_pr_2_treated"
			* Test
			reg norm_postest treated treated_public norm_pretest norm_pretestmis `stata', r cluster(COD_CENTRO)
			gen b_3_ = _b[treated_public]
			gen se_3_ = _se[treated_public]
			local lnorm_postest_pupr : variable label norm_postest
			label var b_3_ "`lnorm_postest_pupr_3_treated"
			
			*** 2. Fraction with less than 25% questions correct
			* Public 
			reg d25 treated norm_pretest norm_pretestmis `stata' if publico2==1, r cluster(COD_CENTRO)
			gen b_4_ = _b[treated]
			gen se_4_ = _se[treated]
			local ld25_pu : variable label d25
			label var b_4_ "`ld25_pu_4_treated"
			* Non-public
			reg d25 treated norm_pretest norm_pretestmis `stata' if publico2==0, r cluster(COD_CENTRO)
			gen b_5_ = _b[treated]
			gen se_5_ = _se[treated]
			local ld25_pr : variable label d25
			label var b_5_ "`ld25_pr_5_treated"
			* Test
			reg d25 treated treated_public norm_pretest norm_pretestmis `stata', r cluster(COD_CENTRO)
			gen b_6_ = _b[treated_public]
			gen se_6_ = _se[treated_public]
			local ld25_pupr : variable label d25
			label var b_6_ "`ld25_pupr_6_treated"
			
			*** 3. Fraction with less than 35% questions correct
			* Public 
			reg d35 treated norm_pretest norm_pretestmis `stata' if publico2==1, r cluster(COD_CENTRO)
			gen b_7_ = _b[treated]
			gen se_7_ = _se[treated]
			local ld35_pu : variable label d35
			label var b_7_ "`ld35_pu_7_treated"
			* Non-public
			reg d35 treated norm_pretest norm_pretestmis `stata' if publico2==0, r cluster(COD_CENTRO)
			gen b_8_ = _b[treated]
			gen se_8_ = _se[treated]
			local ld35_pr : variable label d35
			label var b_8_ "`ld35_pr_8_treated"	
			* Test
			reg d35 treated treated_public norm_pretest norm_pretestmis `stata', r cluster(COD_CENTRO)
			gen b_9_ = _b[treated_public]
			gen se_9_ = _se[treated_public]
			local ld35_pupr : variable label d35
			label var b_9_ "`ld35_pupr_9_treated"
			
			*** 4. Fraction with less than 50% questions correct
			* Public 
			reg d50 treated norm_pretest norm_pretestmis `stata' if publico2==1, r cluster(COD_CENTRO)
			gen b_10_ = _b[treated]
			gen se_10_ = _se[treated]
			local ld50_pu : variable label d50
			label var b_10_ "`ld50_pu_10_treated"
			* Non-public
			reg d50 treated norm_pretest norm_pretestmis `stata' if publico2==0, r cluster(COD_CENTRO)
			gen b_11_ = _b[treated]
			gen se_11_ = _se[treated]
			local ld50_pr : variable label d50
			label var b_11_ "`ld50_pr_11_treated"
			* Test
			reg d50 treated treated_public norm_pretest norm_pretestmis `stata', r cluster(COD_CENTRO)
			gen b_12_ = _b[treated_public]
			gen se_12_ = _se[treated_public]
			local ld50_pupr : variable label d50
			label var b_12_ "`ld50_pupr_12_treated"
			
			*** 5. Talks to parents about economics
			* Public 
			oprobit freq_cont1 treated treated daily0 onceweek0 nevertalk0 talk0_mis `stata' if publico2==1, r cluster(COD_CENTRO)
			gen b_13_ = _b[treated]
			gen se_13_ = _se[treated]
			local lfreq_cont1_pu : variable label freq_cont1
			label var b_13_ "`lfreq_cont_pu_13_treated"
			* Non-public
			oprobit freq_cont1 treated treated daily0 onceweek0 nevertalk0 talk0_mis `stata' if publico2==0, r cluster(COD_CENTRO)
			gen b_14_ = _b[treated]
			gen se_14_ = _se[treated]
			local lfreq_cont1_pr : variable label freq_cont1
			label var b_14_ "`lfreq_cont_pr_14_treated"
			* Test
			oprobit freq_cont1 treated treated_public daily0 onceweek0 nevertalk0 talk0_mis `stata', r cluster(COD_CENTRO)
			gen b_15_ = _b[treated_public]
			gen se_15_ = _se[treated_public]
			local lfreq_cont1_pupr : variable label freq_cont1
			label var b_15_ "`lfreq_cont1_pupr_15_treated"
			
			*** 6. Hypothetical Choices
			* Public 
			reg eleccion_mar treated dec100_120 dec100_120_mis dec100_150 dec100_180 dum_rd20 dum_rd50 dum_rd80 `stata' if publico2==1, r cluster(COD_CENTRO)
			gen b_16_ = _b[treated]
			gen se_16_ = _se[treated]
			local leleccion_mar_pu : variable label eleccion_mar
			label var b_16_ "`leleccion_mar_pu_16_treated"
			* Non-public
			reg eleccion_mar treated dec100_120 dec100_120_mis dec100_150 dec100_180 dum_rd20 dum_rd50 dum_rd80 `stata' if publico2==0, r cluster(COD_CENTRO)
			gen b_17_ = _b[treated]
			gen se_17_ = _se[treated]
			local leleccion_mar_pr : variable label eleccion_mar
			label var b_17_ "`leleccion_mar_pr_17_treated"	
			* Test
			reg eleccion_mar treated treated_public dec100_120 dec100_120_mis dec100_150 dec100_180 dum_rd20 dum_rd50 dum_rd80 `stata', r cluster(COD_CENTRO)
			gen b_18_ = _b[treated_public]
			gen se_18_ = _se[treated_public]
			local leleccion_mar_pupr : variable label eleccion_mar
			label var b_18_ "`leleccion_mar_pupr_18_treated"
			
			*** 7. Money from chores at home/family business
			* Public 
			reg labor_inside_1 treated labor_inside_0 labor_inside_0_mis `stata' if publico2==1, r cluster(COD_CENTRO)
			gen b_19_ = _b[treated]
			gen se_19_ = _se[treated]
			local llabor_inside_1_pu : variable label labor_inside_1
			label var b_19_ "`llabor_inside_1_pu_19_treated"
			* Non-public
			reg labor_inside_1 treated labor_inside_0 labor_inside_0_mis `stata' if publico2==0, r cluster(COD_CENTRO)
			gen b_20_ = _b[treated]
			gen se_20_ = _se[treated]
			local llabor_inside_1_pr : variable label labor_inside_1
			label var b_20_ "`llabor_inside_1_pr_20_treated"	
			* Test
			reg labor_inside_1 treated treated_public labor_inside_0 labor_inside_0_mis `stata', r cluster(COD_CENTRO)
			gen b_21_ = _b[treated_public]
			gen se_21_ = _se[treated_public]
			local llabor_inside_1_pupr : variable label labor_inside_1
			label var b_21_ "`llabor_inside_1_pupr_21_treated"
		
			*** 8. Money from occasional jobs outside home
			* Public 
			reg labor_outside_1 treated labor_outside_0 labor_outside_0_mis `stata' if publico2==1, r cluster(COD_CENTRO)
			gen b_22_ = _b[treated]
			gen se_22_ = _se[treated]
			local llabor_outside_1_pu : variable label labor_outside_1
			label var b_22_ "`llabor_outside_1_pu_22_treated"
			* Non-public
			reg labor_outside_1 treated labor_outside_0 labor_outside_0_mis `stata' if publico2==0, r cluster(COD_CENTRO)
			gen b_23_ = _b[treated]
			gen se_23_ = _se[treated]
			local llabor_outside_1_pr : variable label labor_outside_1
			label var b_23_ "`llabor_outside_1_pr_23_treated"	
			* Test
			reg labor_outside_1 treated treated_public labor_outside_0 labor_outside_0_mis `stata', r cluster(COD_CENTRO)
			gen b_24_ = _b[treated_public]
			gen se_24_ = _se[treated_public]
			local llabor_outside_1_pupr : variable label labor_outside_1
			label var b_24_ "`llabor_outside_1_pupr_24_treated"
			
			*** 9. Any source of income
			* Public 
			reg labor_income_1 treated labor_income_0 labor_income_0_mis `stata' if publico2==1, r cluster(COD_CENTRO)
			gen b_25_ = _b[treated]
			gen se_25_ = _se[treated]
			local llabor_income_1_pu : variable label labor_income_1
			label var b_25_ "`llabor_income_1_pu_25_treated"
			* Non-public
			reg labor_income_1 treated labor_income_0 labor_income_0_mis `stata' if publico2==0, r cluster(COD_CENTRO)
			gen b_26_ = _b[treated]
			gen se_26_ = _se[treated]
			local llabor_income_1_pr : variable label labor_income_1
			label var b_26_ "`llabor_income_1_pr_26_treated"
			* Test
			reg labor_income_1 treated treated_public labor_income_0 labor_income_0_mis `stata', r cluster(COD_CENTRO)
			gen b_27_ = _b[treated_public]
			gen se_27_ = _se[treated_public]
			local llabor_income_1_pupr : variable label labor_income_1
			label var b_27_ "`llabor_income_1_pupr_27_treated"	
		
		}
				
	}
		
	// Copy variable labels
		
	foreach v of var * {		
		local lab`v' : variable label `v'							
	}
		
	// Generate dataset of estimates and standard errors
				
	collapse b_* se_*
	gen i = 1
	
	// Paste variable labels
					
	foreach v of var * { 
		label var `v' "`lab`v''" 				
	} 
				
	// Save dataset

	gen iter = `I'
				
	if `I' == 1 {				
		save "Datafiles\Table5_bs.dta", replace			
	}

	if `I' > 1 {			
		append using "Datafiles\Table5_bs.dta"
		save "Datafiles\Table5_bs.dta", replace				
	}	
					
	local I = `I' + 1
		
} 	
	
 
 
* preserve
	
use "Datafiles\Table5_bs.dta", clear
		
forvalues i=1(1)27 {
	foreach x in se_`i'_ b_`i'_{
		sum `x', d
	}
}
	
sort i
merge i using "Datafiles\Table5_or.dta"	
 

********************* 3. Two-sided test ***********************
* Total number of hypothesis to test (in the 1st step) 
	
	local S = 0	
	local numlist ""
	
	foreach var of varlist b_or_* {	
		local S = `S' + 1
		local numlist "`numlist' `S'"			
	}	
	
* Generate t-statistics for regressions 
	
	foreach x of numlist `numlist' {	
		gen tstat_`x' 	 = abs(b_or_`x'_ / se_or_`x'_)
		gen tstat_bs_`x' = abs((b_`x'_ - b_or_`x'_) / se_`x'_)		// see remark 3.4 in Romano and Wolf (p. 1251)			
		/*Generate a dummy to count the number of times the test statistic of the bootstrap is greater or equal to 1.96
		gen dumtest_bs_`x'=(abs(tstat_bs_`x')>=1.96)
		gen dumtest_`x'=(abs(tstat_`x')>=1.96)*/
		} 
	/*
	foreach x in dumtest_bs_1 dumtest_bs_2 dumtest_bs_3 dumtest_bs_4 dumtest_bs_5{
	sum `x'
	}
		
	foreach x in dumtest_1 dumtest_2 dumtest_3 dumtest_4 dumtest_5{
	sum `x'
	}*/
* Generate list of statistics to test and list of corresponding numerical indeces 
	
	foreach var of varlist tstat_bs_* {			
		local vl "`vl' `var'"			
	}	

	
*** MHT WITH DIFFERENT LEVELS OF CONFIDENCE

				
foreach A of numlist 90 95 99 {
			
	preserve
		
		local Z = `S'
		local NR = `S' 		/* Initial number of hypothesis to test*/
		local J = 1			/* J is an index for the iteration */
				
		local vl`J' `vl'
		local vl_num`J' `numlist'
					
		while `NR' > 0 { 
											
			qui {
								
				* Highest tstat by iteration (step 4.a - alg 2.4)
									
					egen maxm`J' = rowmax(`vl`J'')
														
				* Critical value as the Ath percentile of the max tstats distribution (step 4.b - alg 2.4 - (1-a) = A%)
	
					egen d_hat`J' = pctile(maxm`J'), p(`A')			/* TRY LOW PERCENTILE TO HAVE REJ */
			
				* Reject S if tsat > critical value (step 3 - alg 4.1)
							
					foreach x in `vl_num`J'' {
		
						gen rej`J'_`x' = (abs(tstat_`x') > d_hat`J')
						local answer = rej`J'_`x'

					}

			}
			
			*qui log using "Schooling_Paper/Analysis/Estimates/IV_FE/Robustness/Romano_Wolf/MHT_twosided_$title$.log", append
			
			di as error _n "Confidence level = `A'" _n "Iteration J = `J'"
					
			foreach x in `vl_num`J'' {
					
				local answer = rej`J'_`x'
				local lab: variable label b_`x'_
				dis "Coefficient `lab' `answer'" 	
						
			}	
			
			qui {
			
				// Total number of rejected hypothesis
						
					egen rejtot = rowtotal(rej`J'*)
					local NR = rejtot
					drop rejtot
					
			}		
		
			di "Total number of tested hypothesis `Z'"
			di "Total number of rejected hypothesis `NR'"
			
			di as text "------------------------------------------------------------"
			
			*qui log close
			
			local Z = `Z' - `NR'
				
			// Exclude rejected hypothesis from next steps of iteration (redefine lists of statistics to be tested)
					
				local K = `J' + 1
				local vl_num`K' ""
				local vl`K' ""
					
				foreach x in `vl_num`J'' {
														
					if rej`J'_`x' == 0 {
						
						local vl_num`K' "`vl_num`K'' `x'"
						local vl`K' "`vl`K'' tstat_bs_`x'"
						
					}	
						
				}

				local J = `J' + 1
				
		}
		
	save "Datafiles\Table5_twosided.dta", replace	
	restore

}
 
  
 *restore
 
 
********** 4. ADJUSTED P-VALUES Two-sided test (ROMANO & WOLF, 2016) ***********

* Load Romano and Wolf dataset

	use "Datafiles\Table5_twosided.dta", clear

* Total number of hypothesis to test (in the 1st step) 
	
	local S = 0	
	local numlist ""
	
	foreach var of varlist b_or_* {	
		local S = `S' + 1
		local numlist "`numlist' `S'"			
	}		
	
	drop i _merge rej* maxm? d_hat*
	order iter, first
	order b_or_* se_or_* b_?_ b_??_ se_?_ se_??_, after(iter)
	order tstat_? tstat_??, after(se_`S'_)
	sort iter
		
* Order hypothesis from most to least significant (Section 3, RW, 2016)

	reshape long tstat_, i(iter) j(ord)

	gsort iter -tstat_
	bys iter : gen n = _n
	order n, after(iter)
	
	/*label drop nprog_2*/
	reshape wide tstat_ ord, i(iter) j(n)
			
	local i = 0
	foreach x of varlist ord? *ord?? {
		local ++i
		qui sum `x'
		local k = r(mean)
		gen tstat_bs_r`i' = tstat_bs_`k'
		if `i' == 1 {
			order tstat_bs_r`i' tstat_bs_`k', after(se_`S')
		}
		else {
			order tstat_bs_r`i', after(tstat_bs_r`i0')
			order tstat_bs_`k', after(tstat_bs_`k0')
		}
		local i0 = `i'
		local k0 = `k'
	}	
	
* Compute maxima for test statistics (Section 3, RW, 2016)
	
	local i = 0	
	foreach x of varlist ord? ord?? {
		local ++i
		qui sum `x'	
		local k = r(mean)
		egen max`i' = rowmax(tstat_bs_r`i'-tstat_bs_r`S')
	}	

* Compute adjusted p-values (Section 4, RW, 2016)

	qui sum iter
	local M = r(max)

	forvalues i = 1 / `S' {
		qui sum ord`i'
		local s = r(mean)
		if `i' == 1 {
			egen padj_r`i' = total(max`i' >= tstat_`i')
			replace padj_r`i' = (padj_r`i' + 1) / (`M' + 1)
			gen padj_`s' = padj_r`i'
		}
		else {
			egen padj_r`i' = total(max`i' >= tstat_`i')
			replace padj_r`i' = (padj_r`i' + 1) / (`M' + 1)
			replace padj_r`i' = max(padj_r`i', padj_r`i0')
			gen padj_`s' = padj_r`i'		
			order padj_r`i', after(padj_r`i0')
		}
		local i0 = `i'
	}	
	
* Display results

*qui log using "Logfiles\MHT_adjpvalues_twosided.log", replace

	forvalues i = 1 / `S' {
		local lab: variable label b_`i'_
		qui sum padj_`i'
		local p = round(r(mean), .001)
		dis "Coefficient: `lab', adjusted p value = `p'" 	
						
	}		
	
	
*qui log close	


cap log close

