clear all
cap log close
set more off
*cd "C:\Users\Q64098\Desktop\evaluation2015_ana"
*cd "E:\2021_version\evaluation2015_ana"

cd "C:\Trabajo\new_projects\FInancial-literacy-eval 2014-2015\FpT corto\evaluation2015_ana"

log using "Logfiles\comment3_implementation\1.Test_march_by_strata_lags_25pp.log", replace

use "Datafiles\Students", clear

tab stratum_c


***COMMENT 1 with Hypothetical Questions in March: Test Scores and Saving Decisions

*drop if stratum==14|stratum==15 /*The sample excludes one stratum that mixes 1 public and 2 non-public centers. 
								That stratum originally grouped high schools who intended to teach the course
								to 7th or 8th graders (ESO1 or ESO2).*/

*keep if madrid2==1
keep if june_balanced_sample==1

bys COD_CENTRO: gen nalumnos=_n
count if nalumnos==1
count


** NOTAS TESTS **

* Normalized score by "curso"

sum pretest
gen pretest10=pretest/10		//pasar las notas a fracción
sum pretest10
sum postest
gen postest10=postest/10
sum postest10
sum june_postest
gen june_postest10=june_postest/10
sum june_postest10

forvalues i=3(1)4{
sum pretest		if curso==`i'	//december
gen a=r(mean)	if curso==`i'
gen b=r(sd)		if curso==`i'
gen norm_pretest_`i'eso=(pretest-a)/b if pretest!=.&curso==`i'
replace norm_pretest_`i'eso=0 if pretest==.
drop a b
}

gen 	norm_pretest=0
replace norm_pretest=norm_pretest_3eso	if curso==3
replace norm_pretest=norm_pretest_4eso	if curso==4

gen norm_pretestmis=(pretest==.)
replace pretest=0 if norm_pretestmis==1


forvalues i=3(1)4{
sum postest		if curso==`i'	//march
gen a=r(mean)	if curso==`i'
gen b=r(sd)		if curso==`i'
gen norm_postest_`i'eso=(postest-a)/b if postest!=.&curso==`i'
drop a b
}

gen 	norm_postest=0	if postest!=.
replace norm_postest=norm_postest_3eso	if postest!=.&curso==3
replace norm_postest=norm_postest_4eso	if postest!=.&curso==4


forvalues i=3(1)4{
sum june_postest		if curso==`i'	//june
gen a=r(mean)	if curso==`i'
gen b=r(sd)		if curso==`i'
gen norm_june_postest_`i'eso=(june_postest-a)/b if june_postest!=.&curso==`i'
drop a b
}

gen 	norm_june_postest=0 if june_postest!=.
replace norm_june_postest=norm_june_postest_3eso	if june_postest!=.&curso==3
replace norm_june_postest=norm_june_postest_4eso	if june_postest!=.&curso==4


label variable norm_postest	"Standardized test score"



egen cluster_cole=group(COD_CENTRO curso)


***************** GENERATING A DATASET OF STRATA-SPECIFIC RESULTS *************************
mat norm_test=J(15,4,0)
**Regressions

gen correct_25pp=(postest<=2.5)

/* ********************** TEST RESPONSES ******************** */
reg correct_25pp treated if balanced_sample==1 & curso==3 , r cluster(cluster_cole)

reg correct_25pp treated stratum_c2-stratum_c16 if  curso==3 , r cluster(cluster_cole)

reg correct_25pp treated stratum_c2-stratum_c16 if balanced_sample==1 & curso==3 , r cluster(cluster_cole)

forv i=1(1)7 {
dis `i'
reg correct_25pp treated norm_pretest if balanced_sample==1 & curso==3 & stratum_c`i'==1 , r cluster(cluster_cole)
mat VAR=get(VCE)
mat norm_test[`i',1]=_b[treated]
mat norm_test[`i',2]=VAR[1,1]^0.5
mat norm_test[`i',3]=e(N)
mat norm_test[`i',4]=`i'

mat drop VAR
}

forv i=9(1)14 {
dis `i'
reg correct_25pp treated norm_pretest if balanced_sample==1 & curso==3 & stratum_c`i'==1 , r cluster(cluster_cole)
mat VAR=get(VCE)
mat norm_test[`i',1]=_b[treated]
mat norm_test[`i',2]=VAR[1,1]^0.5
mat norm_test[`i',3]=e(N)
mat norm_test[`i',4]=`i'
mat drop VAR

}

reg correct_25pp treated norm_pretest if balanced_sample==1 & curso==3 & stratum_c16==1 , r cluster(cluster_cole)
mat VAR=get(VCE)
mat norm_test[15,1]=_b[treated]
mat norm_test[15,2]=VAR[1,1]^0.5
mat norm_test[15,3]=e(N)
mat norm_test[15,4]=16

mat drop VAR


mat RESULTS_ALL=norm_test

svmat RESULTS_ALL


keep RESULTS_ALL1-RESULTS_ALL4
drop if RESULTS_ALL1==.
drop if _n==8


rename 	RESULTS_ALL1 Ttest
rename 	RESULTS_ALL2 sd_Ttest	
rename 	RESULTS_ALL3 Ntest	
rename 	RESULTS_ALL4 stratum_c

sort stratum_c

save "Logfiles\comment3_implementation\tests_results_25pp_lag_allstrata.dta", replace


cap log close
