clear all
cap log close
set more off
*cd "X:\Dga_EI\AMicro\TRABAJO\FLIT_evaluacion_2014-2015\2020_version\"
*cd "F:\BdE_11032020\FLIT_evaluacion_2014-2015\2020_version\"

cd "C:\Trabajo\new_projects\FInancial-literacy-eval 2014-2015\FpT corto\evaluation2015_ana"

log using "Logfiles\comment3_implementation\4. inputs_by_strata_lag_70pp.log", replace


*****************
**** Table 9 ****
*****************

use "Datafiles\Inputs_strata"

sort stratum_c

merge stratum_c using "C:\Trabajo\new_projects\FInancial-literacy-eval 2014-2015\FpT corto\evaluation2015_ana\Logfiles\comment3_implementation\tests_results_70pp_lag.dta"

/* ************************ PUBLIC VS RIVATE **************************** */
gen publico=(stratum_c==1|stratum_c==4|stratum_c==7|stratum_c==9|stratum_c==11)

/* *********************** CORRELATES OF THE STRATA-SPECIFIC IMPACTS *************************** */

** Basics (Not shown in the paper)

summ  sumhoras maxlessons maxevaluation maxhomework [aw=Ntest] 

reg Ttest sumhoras  maxevaluation maxlessons [aw=Ntest]


** BY subject (TABLE 6, PANEL B, COLUMN 3)

summ social_sciences  math citizenship tutor alternative

reg Ttest publico sumhoras math social_sciences [aw=Ntest],r

/****************** GRAPHS I ******************* */

gen math_graph=math

label var math_graph "Fraction of students learning FL in Math class"

gen Ttest_graph=Ttest

label var Ttest_graph "Treatment impact on <= 70% questions correct"

twoway scatter Ttest_graph math_graph [aw=Ntest], title("Strata-specific impacts vs fraction teaching FL in Math")

graph save Graph "C:\Trabajo\new_projects\FInancial-literacy-eval 2014-2015\FpT corto\evaluation2015_ana\Logfiles\graphfiles\Math_vs_70pp.gph", replace
graph export "C:\Trabajo\new_projects\FInancial-literacy-eval 2014-2015\FpT corto\evaluation2015_ana\Logfiles\graphfiles\Math_vs_70pp.pdf", as(pdf) replace

