clear all
cap log close
set more off
*cd "X:\Dga_EI\AMicro\TRABAJO\FLIT_evaluacion_2014-2015\2020_version\"
cd "F:\BdE_11032020\FLIT_evaluacion_2014-2015\2020_version\"

log using "Logfiles\TableW3_by_titularidad.log", replace

******************************
**** Table W3: Titularidad ****
******************************

use "Datafiles\Teachers.dta", clear
bys treated: sum sum_teachers
keep if treated==1
gen 	d=1 if teacher_p11a1b!=""	 
replace d=2 if teacher_p11a2b!=""&teacher_p11a2b!=teacher_p11a1b
replace d=3 if teacher_p11a3b!=""&teacher_p11a3b!=teacher_p11a2b
replace d=4 if teacher_p11a4b!=""&teacher_p11a4b!=teacher_p11a3b
label variable d "Nºgrupos a los que da clase cada profesor"
bys COD_CENTRO: gen n=_n		//nºprofesores por centro
bys COD_CENTRO: gen N=_N		//nº total de profesores por centro
tab N if n==1
drop n N
bys treated: sum sum_teachers
*bys treated: egen totald=sum(d)
*bys treated: sum totald
save "Datafiles\temp.dta", replace


* Pasamos de una observación por profesor a una observación por cada clase que da el profesor
use "Datafiles\temp.dta", clear
gen profesor=1								//variable que nos indica una observación por profesor
rename teacher_p11a1d horas
gen lessons=(teacher_p14a1_1!=0)
local i=2
while	`i'<=10 {
	replace lessons=lessons+1 if teacher_p14a1_`i'!=0
local i = `i' + 1
}
drop teacher_p14a1*
gen 	homework=(teacher_p20a1==1)
gen 	evaluation=(teacher_p21a1==1)
drop teacher_p20a1 teacher_p21a1
gen 	math=(teacher_p13a1_1==17|teacher_p13a1_2==17|teacher_p13a1_3==17)
gen 	social_sciences=(teacher_p13a1_1==3|teacher_p13a1_2==3|teacher_p13a1_3==3)
replace social_sciences=(teacher_p13a1_1==10|teacher_p13a1_2==10|teacher_p13a1_3==10)
replace social_sciences=1 if (teacher_p13a1_1==9|teacher_p13a1_2==9|teacher_p13a1_3==9)
gen 	tutor=(teacher_p13a1_1==20|teacher_p13a1_2==20|teacher_p13a1_3==20)
gen 	citizenship=(teacher_p13a1_1==7|teacher_p13a1_2==7|teacher_p13a1_3==7)
gen 	alternative=(teacher_p13a1_1==1|teacher_p13a1_2==1|teacher_p13a1_3==1)
gen 	other=(teacher_p13a1_1==4|teacher_p13a1_2==4|teacher_p13a1_3==4)
replace other=1 if (teacher_p13a1_1==11|teacher_p13a1_2==11|teacher_p13a1_3==11)
replace other=1 if (teacher_p13a1_1==12|teacher_p13a1_2==12|teacher_p13a1_3==12)
replace other=1 if (teacher_p13a1_1==13|teacher_p13a1_2==13|teacher_p13a1_3==13)
replace other=1 if (teacher_p13a1_1==19|teacher_p13a1_2==19|teacher_p13a1_3==19)
replace other=1 if (teacher_p13a1_1==22|teacher_p13a1_2==22|teacher_p13a1_3==22)
drop teacher_p13a1*
save "Datafiles\temp1.dta", replace

use "Datafiles\temp.dta", clear				//añadimos los profesores que imparten el programa en 2 clases
drop if teacher_p11a2d==0
rename 	teacher_p11a2d horas
gen lessons=(teacher_p14a2_1!=0)
local i=2
while	`i'<=10 {
	replace lessons=lessons+1 if teacher_p14a2_`i'!=0
local i = `i' + 1
}
drop teacher_p14a2*
gen 	homework=(teacher_p20a2==1)
gen 	evaluation=(teacher_p21a2==1)
drop teacher_p20a2 teacher_p21a2
gen 	math=(teacher_p13a2_1==17|teacher_p13a2_2==17|teacher_p13a2_3==17)
gen 	social_sciences=(teacher_p13a2_1==3|teacher_p13a2_2==3|teacher_p13a2_3==3)
replace social_sciences=(teacher_p13a2_1==10|teacher_p13a2_2==10|teacher_p13a2_3==10)
replace social_sciences=1 if (teacher_p13a2_1==9|teacher_p13a2_2==9|teacher_p13a2_3==9)
gen 	tutor=(teacher_p13a2_1==20|teacher_p13a2_2==20|teacher_p13a2_3==20)
gen 	citizenship=(teacher_p13a2_1==7|teacher_p13a2_2==7|teacher_p13a2_3==7)
gen 	alternative=(teacher_p13a2_1==1|teacher_p13a2_2==1|teacher_p13a2_3==1)
gen 	other=(teacher_p13a2_1==4|teacher_p13a2_2==4|teacher_p13a2_3==4)
replace other=1 if (teacher_p13a2_1==11|teacher_p13a2_2==11|teacher_p13a2_3==11)
replace other=1 if (teacher_p13a2_1==12|teacher_p13a2_2==12|teacher_p13a2_3==12)
replace other=1 if (teacher_p13a2_1==13|teacher_p13a2_2==13|teacher_p13a2_3==13)
replace other=1 if (teacher_p13a2_1==19|teacher_p13a2_2==19|teacher_p13a2_3==19)
replace other=1 if (teacher_p13a2_1==22|teacher_p13a2_2==22|teacher_p13a2_3==22)
drop teacher_p13a2*
append using "Datafiles\temp1.dta"
save "Datafiles\temp1.dta", replace

use "Datafiles\temp.dta", clear				//añadimos los profesores que imparten el programa en 3 clases
drop if teacher_p11a3d==0
rename teacher_p11a3d horas
gen lessons=(teacher_p14a3_1!=0)
local i=2
while	`i'<=10 {
	replace lessons=lessons+1 if teacher_p14a3_`i'!=0
local i = `i' + 1
}
drop teacher_p14a3*
gen 	homework=(teacher_p20a3==1)
gen 	evaluation=(teacher_p21a3==1)
drop teacher_p20a3 teacher_p21a3
gen 	math=(teacher_p13a3_1==17|teacher_p13a3_2==17|teacher_p13a3_3==17)
gen 	social_sciences=(teacher_p13a3_1==3|teacher_p13a3_2==3|teacher_p13a3_3==3)
replace social_sciences=(teacher_p13a3_1==10|teacher_p13a3_2==10|teacher_p13a3_3==10)
replace social_sciences=1 if (teacher_p13a3_1==9|teacher_p13a3_2==9|teacher_p13a3_3==9)
gen 	tutor=(teacher_p13a3_1==20|teacher_p13a3_2==20|teacher_p13a3_3==20)
gen 	citizenship=(teacher_p13a3_1==7|teacher_p13a3_2==7|teacher_p13a3_3==7)
gen 	alternative=(teacher_p13a3_1==1|teacher_p13a3_2==1|teacher_p13a3_3==1)
gen 	other=(teacher_p13a3_1==4|teacher_p13a3_2==4|teacher_p13a3_3==4)
replace other=1 if (teacher_p13a3_1==11|teacher_p13a3_2==11|teacher_p13a3_3==11)
replace other=1 if (teacher_p13a3_1==12|teacher_p13a3_2==12|teacher_p13a3_3==12)
replace other=1 if (teacher_p13a3_1==13|teacher_p13a3_2==13|teacher_p13a3_3==13)
replace other=1 if (teacher_p13a3_1==19|teacher_p13a3_2==19|teacher_p13a3_3==19)
replace other=1 if (teacher_p13a3_1==22|teacher_p13a3_2==22|teacher_p13a3_3==22)
drop teacher_p13a3*
append using "Datafiles\temp1.dta"

egen horas_min=min(horas)
egen horas_p25=pctile(horas), p(25)
egen horas_med=pctile(horas), p(50)
egen horas_p75=pctile(horas), p(75)
egen horas_p90=pctile(horas), p(90)
egen horas_max=max(horas)

label var horas_min "Number of hours: Minimum"	
label var horas_p25 "Number of hours: 25th centile"
label var horas_med "Number of hours: Median"	
label var horas_p75 "Number of hours: 75th centile"
label var horas_p90 "Number of hours: 90th centile"

label var lessons "Number of lessons taught (out of 10)"	

label var evaluation 	"Fraction that made independent evaluation"
label var homework 		"Fraction that assigned homework"

label var math 				"Subject where material was delivered: Math"
label var social_sciences 	"Subject where material was delivered: Social Sciences"
label var tutor 			"Subject where material was delivered: Weekly hour with tutor"
label var citizenship 		"Subject where material was delivered: Citizenship"
label var alternative 		"Subject where material was delivered: Alternative to religion"
label var other		 		"Subject where material was delivered: Other"
 
label var teacher_social_science 	"Teacher´s specialization: Social Sciences"
label var teacher_economics 		"Teacher´s specialization: Economics"
label var teacher_math				"Teacher´s specialization: Math"
label var teacher_computing_science	"Teacher´s specialization: Computing science"
label var teacher_other		 		"Teacher´s specialization: Other" 

save "Datafiles\temp1.dta", replace

* From now on, we will have observations for 50 teachers teaching groups in ENERO-MARZO and 70 for those in ABRIL-MAYO.
* Some summaries are performed taking the number of groups as observations. There are 68 groups in ENERO-MARZO and 103 in ABRIL-MAYO.

* Number of hours 
sum horas,det
sum horas if publico==1,det
sum horas if concertado==1,det
sum horas if privado==1,det

* Lessons (averages across groups)
sum lessons
sum lessons if publico==1
sum lessons if concertado==1
sum lessons if privado==1

* Homework and own evaluation (averages across groups)
sum homework evaluation 
sum homework evaluation if publico==1
sum homework evaluation if concertado==1
sum homework evaluation if privado==1

* Subject (averages across groups)
sum math social_sciences tutor citizenship alternative other 
sum math social_sciences tutor citizenship alternative other if publico==1
sum math social_sciences tutor citizenship alternative other if concertado==1
sum math social_sciences tutor citizenship alternative other if privado==1

* Teacher's specialization 
sum teacher_social_science teacher_economics teacher_math teacher_computing_science teacher_other if profesor==1
sum teacher_social_science teacher_economics teacher_math teacher_computing_science teacher_other if publico==1 & profesor==1
sum teacher_social_science teacher_economics teacher_math teacher_computing_science teacher_other if concertado==1 & profesor==1
sum teacher_social_science teacher_economics teacher_math teacher_computing_science teacher_other if privado==1 & profesor==1

* Teacher's assesment
sum teacher_p24 teacher_p26 teacher_all if profesor==1
sum teacher_p24 teacher_p26 teacher_all if publico==1 & profesor==1
sum teacher_p24 teacher_p26 teacher_all if concertado==1 & profesor==1
sum teacher_p24 teacher_p26 teacher_all if privado==1 & profesor==1


** Summary statistics (Total) 
global DESCVARS horas_min horas_p25 horas_med horas_p75 horas_p90 lessons /*
*/ evaluation homework math social_sciences tutor citizenship alternative other /*
*/ teacher_social_science teacher_economics teacher_math teacher_computing_science teacher_other
global DESCVARS1 horas_min horas_p25 horas_med horas_p75 horas_p90 lessons /*
*/ evaluation homework math social_sciences tutor citizenship alternative other 
global DESCVARS2 teacher_social_science teacher_economics teacher_math teacher_computing_science teacher_other

* Excel
cd "Tables/"
putexcel set EvaluacionCorto.xlsx, sheet(TableW3_titularidad) modify
local row = 2
foreach x of varlist $DESCVARS {
describe `x'
local varlabel : var label `x'
putexcel A`row' = ("`varlabel'")
local row = `row'+1
}
tabstat $DESCVARS1, stat(n mean sd) save
return list
matlist r(StatTotal)
matrix results = r(StatTotal)'
matlist results
putexcel set EvaluacionCorto.xlsx, sheet(TableW3_titularidad) modify
putexcel B1 = matrix(results), names nformat(number_d3)

tabstat $DESCVARS2 if profesor==1, stat(n mean sd) save
return list
matlist r(StatTotal)
matrix results = r(StatTotal)'
matlist results
putexcel set EvaluacionCorto.xlsx, sheet(TableW3_titularidad) modify
putexcel C16 = matrix(results), nonames nformat(number_d3)

* Tex

local count: word count $DESCVARS
mat sumstat = J(`count',19,.)

local i = 1
foreach var in $DESCVARS {
    quietly: summarize `var' 
    mat sumstat[`i',1] = r(mean)
    local i = `i' + 1
}
frmttable, statmat(sumstat) store(sumstat) sfmt(f)

*cd "X:\Dga_EI\AMicro\TRABAJO\FLIT_evaluacion_2014-2015\2020_version\"
cd "F:\BdE_11032020\FLIT_evaluacion_2014-2015\2020_version\"
u "Datafiles\temp1.dta", clear
drop horas_*

egen horas_min=min(horas)	 if publico==1
egen horas_p25=pctile(horas) if publico==1, p(25) 	
egen horas_med=pctile(horas) if publico==1, p(50)		
egen horas_p75=pctile(horas) if publico==1, p(75)		
egen horas_p90=pctile(horas) if publico==1, p(90)		
egen horas_max=max(horas)	 if publico==1

egen horas_min_1=min(horas)	   if concertado==1
egen horas_p25_1=pctile(horas) if concertado==1, p(25) 	
egen horas_med_1=pctile(horas) if concertado==1, p(50)	
egen horas_p75_1=pctile(horas) if concertado==1, p(75)	
egen horas_p90_1=pctile(horas) if concertado==1, p(90)	
egen horas_max_1=max(horas)	   if concertado==1		

egen horas_min_2=min(horas)	   if privado==1
egen horas_p25_2=pctile(horas) if privado==1, p(25) 	
egen horas_med_2=pctile(horas) if privado==1, p(50)	
egen horas_p75_2=pctile(horas) if privado==1, p(75)	
egen horas_p90_2=pctile(horas) if privado==1, p(90)	
egen horas_max_2=max(horas)	   if privado==1	

foreach x in min p25 med p75 p90 max {
replace horas_`x'=horas_`x'_1			if concertado==1
replace horas_`x'=horas_`x'_2			if privado==1
}

label var horas_min "Number of hours: Minimum"	
label var horas_p25 "Number of hours: 25th centile"
label var horas_med "Number of hours: Median"	
label var horas_p75 "Number of hours: 75th centile"
label var horas_p90 "Number of hours: 90th centile"


* Summary statistics (Public, Concerted, Private)

* Excel
cd "Tables/"
tabstat $DESCVARS1 if publico==1, stat(n mean sd) save
return list
matlist r(StatTotal)
matrix results = r(StatTotal)'
matlist results
putexcel set EvaluacionCorto.xlsx, sheet(TableW3_titularidad) modify
putexcel F1 = matrix(results), names nformat(number_d3)

tabstat $DESCVARS2 if publico==1&profesor==1, stat(n mean sd) save
return list
matlist r(StatTotal)
matrix results = r(StatTotal)'
matlist results
putexcel set EvaluacionCorto.xlsx, sheet(TableW3_titularidad) modify
putexcel G16 = matrix(results), nonames nformat(number_d3)

tabstat $DESCVARS1 if concertado==1, stat(n mean sd) save
return list
matlist r(StatTotal)
matrix results = r(StatTotal)'
matlist results
putexcel set EvaluacionCorto.xlsx, sheet(TableW3_titularidad) modify
putexcel J1 = matrix(results), names nformat(number_d3)

tabstat $DESCVARS2 if concertado==1&profesor==1, stat(n mean sd) save
return list
matlist r(StatTotal)
matrix results = r(StatTotal)'
matlist results
putexcel set EvaluacionCorto.xlsx, sheet(TableW3_titularidad) modify
putexcel K16 = matrix(results), nonames nformat(number_d3)

tabstat $DESCVARS1 if privado==1, stat(n mean sd) save
return list
matlist r(StatTotal)
matrix results = r(StatTotal)'
matlist results
putexcel set EvaluacionCorto.xlsx, sheet(TableW3_titularidad) modify
putexcel N1 = matrix(results), names nformat(number_d3)

tabstat $DESCVARS2 if privado==1&profesor==1, stat(n mean sd) save
return list
matlist r(StatTotal)
matrix results = r(StatTotal)'
matlist results
putexcel set EvaluacionCorto.xlsx, sheet(TableW3_titularidad) modify
putexcel O16 = matrix(results), nonames nformat(number_d3)

* Tex
local count: word count $DESCVARS
mat sumstat = J(`count',19,.)

local i = 1
foreach var in $DESCVARS {
    quietly: summarize `var' if publico==1
    mat sumstat[`i',1] = r(mean)
    quietly: summarize `var' if concertado==1
    mat sumstat[`i',2] = r(mean)
	quietly: summarize `var' if privado==1
    mat sumstat[`i',3] = r(mean)
    local i = `i' + 1
}
frmttable, statmat(sumstat) store(sumstat1) sfmt(f,f,f)

*And export
*cd "X:\Dga_EI\AMicro\TRABAJO\FLIT_evaluacion_2014-2015\2020_version\"
cd "F:\BdE_11032020\FLIT_evaluacion_2014-2015\2020_version\"
outreg using "tables/TableW3_by_titularidad.tex", ///
    replay(sumstat) merge(sumstat1) tex nocenter note("") fragment plain replace ///
    ctitles(Total, Public, Concerted, Private) ///
    multicol(1,2,3) 

erase "Datafiles\temp.dta"
erase "Datafiles\temp1.dta"

log close
