clear all
cap log close
set more off
*cd "X:\Dga_EI\AMicro\TRABAJO\FLIT_evaluacion_2014-2015\2020_version\"
cd "C:\Users\Usuario\Dropbox\JHR\replication file\"

log using "Logfiles\TableW8.log", replace

*****************
**** Table W8 ****
*****************

use "Datafiles\Students", clear

** Variables **

* Frequency talks to parents about economics
foreach x in daily0 onceweek0 bonceweek0 nevertalk0 {
replace `x'=0 if `x'==.
}

* Hypothetical saving choices
* New
gen mar100_120_2=0 if march_CA_C12==2
replace mar100_120_2=1 if march_CA_C12==1

** H1 (100 today, 120 in three weeks) 
set seed 999
gen u = uniform()

replace dec100_120=0 if december_CA_P11A==3 & u>=0.5
replace dec100_120=1 if december_CA_P11A==3 & u<0.5
label define dec100_120 1 "100 euros today" 0 "120 in three weeks", replace

replace dec100_120_mis=0 if december_CA_P11A==3		//now, dec100_120_mis=1 only when december_CA_P11A==.
replace dec100_120=0 if dec100_120_mis==1

label define mar100_120 1 "100 euros today" 0 "120 in three weeks", replace

** H2 (100 today, 120 in six weeks) (March)
label define mar100_120_2 1 "100 euros today" 0 "120 in six weeks", replace

** H3 (100 today, 150 in three weeks) 
replace dec100_150=0 if december_CA_P11B==3 & u>=0.5
replace dec100_150=1 if december_CA_P11B==3 & u<0.5
label define dec100_150 1 "100 euros today" 0 "150 in three weeks", replace

replace dec100_150_mis=0 if december_CA_P11B==3		//now, dec100_150_mis=1 only when december_CA_P11B==.
replace dec100_150=0 if dec100_150_mis==1

label define mar100_150 1 "100 euros today" 0 "150 in three weeks", replace

** H4 (100 today, 180 in three weeks) 
replace dec100_180=0 if december_CA_P11C==3 & u>=0.5
replace dec100_180=1 if december_CA_P11C==3 & u<0.5
label define dec100_180 1 "100 euros today" 0 "180 in three weeks", replace

replace dec100_180_mis=0 if december_CA_P11C==3		//now, dec100_180_mis=1 only when december_CA_P11C==.
replace dec100_180=0 if dec100_180_mis==1

label define mar100_180 1 "100 euros today" 0 "180 in three weeks", replace
label variable treated 		"Treated"

save "Datafiles\append1.dta",replace

** Pooling Data **

use			 "Datafiles\append1.dta"
gen dum1=1
append using "Datafiles\append1.dta"
replace dum1=2 if dum1==.
append using "Datafiles\append1.dta"
replace dum1=3 if dum1==.
append using "Datafiles\append1.dta"
replace dum1=4 if dum1==.

*generar las elecciones DICIEMBRE
gen		eleccion_dec= dec100_120 if dum1==1
replace eleccion_dec= dec100_150 if dum1==2
replace eleccion_dec= dec100_180 if dum1==3

*generar las elecciones MARZO
gen		eleccion_mar= mar100_120 	if dum1==1
replace eleccion_mar= mar100_150 	if dum1==2
replace eleccion_mar= mar100_180 	if dum1==3
replace eleccion_mar= mar100_120_2 	if dum1==4

* Dummies de eleccion
gen dum_rd20	=(dum1==1)
gen dum_rd50	=(dum1==2)
gen dum_rd80	=(dum1==3)
gen dum_rd20_2	=(dum1==4)

save "Datafiles\appended.dta", replace

use "Datafiles\append1.dta",clear

* PANEL A: Frequency talks to parents about economics

global dec_talkparents daily0 onceweek0 nevertalk0 talk0_mis

di "December Summary frequency talks to parents about economics: Total"
summ daily0 onceweek0 bonceweek0 nevertalk0 talk0_mis if balanced_sample==1&curso==4
di "December Summary frequency talks to parents about economics: Treated"
summ daily0 onceweek0 bonceweek0 nevertalk0 talk0_mis if treated==1&balanced_sample==1&curso==4
di "December Summary frequency talks to parents about economics: Control"
summ daily0 onceweek0 bonceweek0 nevertalk0 talk0_mis if treated==0&balanced_sample==1&curso==4
di "March Summary frequency talks to parents about economics: Total"
summ daily1 onceweek1 bonceweek1 nevertalk1 talk1_mis if balanced_sample==1&curso==4
di "March Summary frequency talks to parents about economics: Treated"
summ daily1 onceweek1 bonceweek1 nevertalk1 talk1_mis if treated==1&balanced_sample==1&curso==4
di "March Summary frequency talks to parents about economics: Control"
summ daily1 onceweek1 bonceweek1 nevertalk1 talk1_mis if treated==0&balanced_sample==1&curso==4

foreach x in daily1 onceweek1 bonceweek1 nevertalk1 {
di "Frequency talks to parents about economics: `x' (Balanced)"
reg `x' treated $dec_talkparents stratum_c2-stratum_c16 if balanced_sample==1&curso==4, r cluster(COD_CENTRO)
}

* Overall
di "Frequency talks to parents about economics: `x' (Balanced)"
oprobit freq_cont1 treated $dec_talkparents stratum_c2-stratum_c16 if balanced_sample==1&curso==4, r cluster(COD_CENTRO)

* Export tex
eststo clear
eststo:reg daily1 treated $dec_talkparents stratum_c2-stratum_c16 if balanced_sample==1&curso==4, r cluster(COD_CENTRO)
estadd ysumm
eststo:reg onceweek1 treated $dec_talkparents stratum_c2-stratum_c16 if balanced_sample==1&curso==4, r cluster(COD_CENTRO)
estadd ysumm
eststo:reg bonceweek1 treated $dec_talkparents stratum_c2-stratum_c16 if balanced_sample==1&curso==4, r cluster(COD_CENTRO)
estadd ysumm
eststo:reg nevertalk1 treated $dec_talkparents stratum_c2-stratum_c16 if balanced_sample==1&curso==4, r cluster(COD_CENTRO)
estadd ysumm
eststo:oprobit freq_cont1 treated $dec_talkparents stratum_c2-stratum_c16 if balanced_sample==1&curso==4, robust cluster(COD_CENTRO)
esttab using "Tables\TableW8.tex", b(3) se(3) ar2(3) stats(ymean N r2_a, fmt(%9.2f %9.0g %9.2f)  labels ("Mean dependent variable" "Number of students (schools)" "Adjusted R-Squared")) /*
*/ star(* 0.1 ** 0.05 *** 0.01) label title(Panel A: Frequency talks to parents about economics /*\label{Table W8}*/) /*
*/ nonumbers mtitles("\shortstack{More than once\\ a week}" "\shortstack{Once\\ a week}" "\shortstack{Less than once\\ a week}" "Never" "Overall*") /*
*/ keep(treated) /*addnote("Notes: All models estimated by OLS, including stratification dummies and lagged values of a similar hypothetical choice in December 2014, except *Overall that is the latent index coefficient of an ordered Probit, with outcomes (1)-(4) as different levels of the dependent variable. †Earlier choice pools the four choices and controls for three dummies that indicate the particular choice. The variable treated measures if present always chosen regardless of the future reward. Standard errors (S.E) are clustered at the school level (77 schools).")*/ replace 


* PANEL B: Hypothetical saving choices, prefers euros today vs euros in 3-6 weeks

global dec_hypothetical dec100_120 dec100_120_mis dec100_150 dec100_180 

** Summary
summ mar100_120 mar100_120_2 mar100_150 mar100_180 dec100_120 dec100_150 dec100_180 if balanced_sample==1&curso==4 // Total
summ mar100_120 mar100_120_2 mar100_150 mar100_180 dec100_120 dec100_150 dec100_180 if treated==1&balanced_sample==1&curso==4 // Treated
summ mar100_120 mar100_120_2 mar100_150 mar100_180 dec100_120 dec100_150 dec100_180 if treated==0&balanced_sample==1&curso==4 // Control

** H1 (100 today, 120 in three weeks) 
di "H1 (100 today, 120 in three weeks): `x' (Balanced)"
reg mar100_120 treated $dec_hypothetical stratum_c2-stratum_c16 if balanced_sample==1&curso==4, robust cluster(COD_CENTRO)

** H2 (100 today, 120 in six weeks)
di "H2 (100 today, 120 in six weeks): `x' (Balanced)"
reg mar100_120_2 treated $dec_hypothetical stratum_c2-stratum_c16 if balanced_sample==1&curso==4, robust cluster(COD_CENTRO)

** H3 (100 today, 150 in three weeks)
di "H3 (100 today, 150 in three weeks): `x' (Balanced)"
reg mar100_150 treated $dec_hypothetical stratum_c2-stratum_c16 if balanced_sample==1&curso==4, robust cluster(COD_CENTRO)

** H4 (100 today, 180 in three weeks) 
di "H4 (100 today, 180 in three weeks): `x' (Balanced)"
reg mar100_180 treated $dec_hypothetical stratum_c2-stratum_c16 if balanced_sample==1&curso==4, robust cluster(COD_CENTRO)

** Earlier Choice (Pooled):
use "Datafiles\appended.dta"
di "Earlier Choice (Pooled): `x' (Balanced)"
reg eleccion_mar treated $dec_hypothetical dum_rd20 dum_rd50 dum_rd80 stratum_c2-stratum_c16 if balanced_sample==1&curso==4,r cluster(COD_CENTRO)
*dprobit eleccion_mar treated $dec_hypothetical dum_rd20 dum_rd50 dum_rd80 stratum_c2-stratum_c16 if balanced_sample==1&curso==3,r cluster(COD_CENTRO)

* Export tex
eststo clear
eststo:reg mar100_120 treated $dec_hypothetical stratum_c2-stratum_c16 if balanced_sample==1&curso==4&dum1==1, r cluster(COD_CENTRO)
estadd ysumm
eststo:reg mar100_120_2 treated $dec_hypothetical stratum_c2-stratum_c16 if balanced_sample==1&curso==4&dum1==1, r cluster(COD_CENTRO)
estadd ysumm
eststo:reg mar100_150 treated $dec_hypothetical stratum_c2-stratum_c16 if balanced_sample==1&curso==4&dum1==1, r cluster(COD_CENTRO)
estadd ysumm
eststo:reg mar100_180 treated $dec_hypothetical stratum_c2-stratum_c16 if balanced_sample==1&curso==4&dum1==1, r cluster(COD_CENTRO)
estadd ysumm
eststo:reg eleccion_mar treated $dec_hypothetical dum_rd20 dum_rd50 dum_rd80 stratum_c2-stratum_c16 if balanced_sample==1&curso==4, r cluster(COD_CENTRO)
esttab using "Tables\Table4B.tex", b(3) se(3) ar2(3) stats(ymean N r2_a, fmt(%9.2f %9.0g %9.2f)  labels ("Mean dependent variable" "Number of students (schools)" "Adjusted R-Squared")) /*
*/ star(* 0.1 ** 0.05 *** 0.01) label title(Panel B: Hypothetical saving choices, prefers euros today vs euros in 3-6 weeks/*\label{Table W8}*/) /*
*/ nonumbers mtitles("\shortstack{100 euro now\\to 120 in 3 weeks}" "\shortstack{100 euro now\\to 120 in 6 weeks}" "\shortstack{100 euro now\\to 150 in 3 weeks}" "\shortstack{100 euro now\\to 180 in 3 weeks}" "\shortstack{Earlier choice†\\(pooled)}") /*
*/ keep(treated) /*addnote("Notes: All models estimated by OLS, including stratification dummies and lagged values of a similar hypothetical choice in December 2014, except *Overall that is the latent index coefficient of an ordered Probit, with outcomes (1)-(4) as different levels of the dependent variable. †Earlier choice pools the four choices and controls for three dummies that indicate the particular choice. The variable treated measures if present always chosen regardless of the future reward. Standard errors (S.E) are clustered at the school level (77 schools).")*/ replace 

*** 9. Any source of income

* Public 
reg labor_income_1 treated labor_income_0 stratum_c2-stratum_c16  if balanced_sample==1&curso==4&dum1==1, robust cluster(COD_CENTRO)


cap log close